

//Copyright © 2015 Tristan Stephens(TDS200).

var MOD_VERSION = "1.1.5";

var vehicleBaseType = [];
var vehicleList = [];

var vehicleON = false;
var activeVehicle;
var activeVehicleID;
var activeVehicleSpeed;
var activeVehicleType;
var vehicleRecoveryTimer = 0;

function newLevel(){
 vehicleRecoveryTimer = 0;
 loadItems();
 checkForUpdate();
}

function useItem( x, y, z, id, b ){

  if(vehicleBaseType[id] != null){
   spawnVehicle( id, x, y, z);
  }

}

function attackHook(attacker, victim){

  for(i=0; i<vehicleList.length; i++){
    if(victim == vehicleList[i].mID){
	 type = vehicleList[i].id;
	 actionCheck(victim,i,type);
	 break;
	}
  }

}

function deathHook(murderer, victim){
  for(i=0; i<vehicleList.length; i++){
    if(victim == vehicleList[i].mID){
	 vehicleList[i].isSpawned = false;
	 vehicleList[i].endFunction();
	 if(vehicleON == false){
	 activeVehicleSpeed = 0;
	 }
	 break;
	}
  }
}

function modTick(){

if(vehicleON == true){
vehicleList[activeVehicleID].tickFunction();
}

if(gasPedalDown == true && vehicleON == true){
speedUp();
}

if(gasPedalDown == false && vehicleON == true){
slowDown();
}

if(breakPedalDown == true && vehicleON == true){
breakPedal();
}

if(
vehicleON == false || 
getPlayerX() <  Entity.getX(activeVehicle) -2 || 
getPlayerX() >  Entity.getX(activeVehicle) +2 ||
getPlayerZ() <  Entity.getZ(activeVehicle) -2 || 
getPlayerZ() >  Entity.getZ(activeVehicle) +2 ){

if(activeVehicle != null){
setVelX(activeVehicle,0);
setVelY(activeVehicle,-0.5);
setVelZ(activeVehicle,0);
activeVehicleSpeed = 0;
if(vehicleON == true){
vehicleList[activeVehicleID].endFunction();
vehicleList[activeVehicleID].lock = [true,Entity.getX(activeVehicle),Entity.getY(activeVehicle),Entity.getZ(activeVehicle),Entity.getYaw(activeVehicle)];
}
vehicleON = false;
}
}

vehicleRecoveryTimer ++;
if(vehicleRecoveryTimer == 50){
 loadVehicles();
}

if(getYaw() > 360 || getYaw() < -360){
setRot(getPlayerEnt(),0,getPitch());
}

posLockTick();

}



function leaveGame(){
if(activeVehicle != null){
vehicleList[activeVehicleID].endFunction();
}
saveVehicles();
}
btnCount = 0;
button = [];

ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get();

ctx.runOnUiThread(new java.lang.Runnable({

run:function(){

linearLayout = new android.widget.LinearLayout(ctx);
linearLayout.setOrientation(android.widget.LinearLayout.VERTICAL);

width = ctx.getResources().getDisplayMetrics().widthPixels;
height = ctx.getResources().getDisplayMetrics().heightPixels;

verticalWindow = new android.widget.PopupWindow(ctx);
verticalWindow.setWidth(Math.ceil(100*ctx.getResources().getDisplayMetrics().density));
verticalWindow.setHeight(Math.ceil(200*ctx.getResources().getDisplayMetrics().density));
verticalWindow.setContentView(linearLayout);
verticalWindow.setBackgroundDrawable(new android.graphics.drawable.ColorDrawable(android.graphics.Color.TRANSPARENT));
verticalWindow.showAtLocation(ctx.getWindow().getDecorView(),android.view.Gravity.RIGHT|android.view.Gravity.CENTER,0,0);

}}));


function createButton(text,funct){

ctx.runOnUiThread(new java.lang.Runnable({

run:function(){

button[btnCount] = new android.widget.Button(ctx);
button[btnCount].setText(text);
button[btnCount].getBackground().setColorFilter(android.graphics.Color.BLACK,android.graphics.PorterDuff.Mode.MULTIPLY);

button[btnCount].setOnClickListener(new android.view.View.OnClickListener({
onClick:function(){
funct();
}}));


linearLayout.addView(button[btnCount]);

btnCount ++;

}}));

}



function destroyButtons(){

var ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get();
StartFov = 0;


ctx.runOnUiThread(new java.lang.Runnable({

run:function(){

var ctx=com.mojang.minecraftpe.MainActivity.currentMainActivity.get();

if(verticalWindow != null)

 linearLayout.removeAllViews();

 btnCount = 0;


}}));

}



function createGasPedal(){

ctx.runOnUiThread(new java.lang.Runnable({

run:function(){

destroyButtons();

gasPedal = new android.widget.Button(ctx);
gasPedal.setText("Forward");
gasPedal.getBackground().setColorFilter(android.graphics.Color.BLACK,android.graphics.PorterDuff.Mode.MULTIPLY);

gasPedal.setOnTouchListener(new android.view.View.OnTouchListener({
    onTouch: function(v, event){
        switch(event.getAction()){
            case 0:
                gasPedalDown = true;
                break;
            case 1:
                gasPedalDown = false;
                break;
        }
        return true;
    }
}));

linearLayout.addView(gasPedal);


breakPed = new android.widget.Button(ctx);
breakPed.setText("Backward");
breakPed.getBackground().setColorFilter(android.graphics.Color.BLACK,android.graphics.PorterDuff.Mode.MULTIPLY);

breakPed.setOnTouchListener(new android.view.View.OnTouchListener({
    onTouch: function(v, event){
        switch(event.getAction()){
            case 0:
                breakPedalDown = true;
                break;
            case 1:
                breakPedalDown = false;
                break;
        }
        return true;
    }
}));

linearLayout.addView(breakPed);

}}));

}











function gasFunction(id){

vehicleList[id].gasAmount --;

if(vehicleList[id].gasAmount == 3750){
clientMessage(ChatColor.BLUE+"Fuel Level: [||||||||   ]");
}


if(vehicleList[id].gasAmount == 2500){
clientMessage(ChatColor.BLUE+"Fuel Level: [|||||     ]");
}


if(vehicleList[id].gasAmount == 1250){
clientMessage(ChatColor.RED+"Fuel Level: [|||       ]");
}


if(vehicleList[id].gasAmount == 0){
clientMessage(ChatColor.RED+"Out Of Fuel.");
}

if(vehicleList[id].gasAmount < 0 ){
vehicleON = false;
}

}

bikeModel = Renderer.createHumanoidRenderer(); 
 bikeModelMaker(bikeModel);
  
 //Spitfire
 vehicleBaseType[1180] = {
id: 1180,
type: "BIKE",
skin: ["mob/bike/blue_bike.png","mob/bike/black_bike.png","mob/bike/red_bike.png","mob/bike/green_bike.png","mob/bike/brown_bike.png","mob/bike/blue_bike.png","mob/bike/purple_bike.png","mob/bike/cyan_bike.png","mob/bike/grey_bike.png","mob/bike/pink_bike.png","mob/bike/lime_bike.png","mob/bike/yellow_bike.png","mob/bike/light_blue_bike.png","mob/bike/magenta_bike.png","mob/bike/orange_bike.png","mob/bike/white_bike.png"],
health: 10000,
speed: 0.3,
model: bikeModel,
hitBox: [2,0.8],
startFunction: function() {createGasPedal(); playLoopingSound("/games/com.mojang/MCPE_MECH/bike.wav");},
tickFunction: function() {},
endFunction: function() {destroyButtons(); endSounds();},
loadItems: function() {bikeItems();}
};


function bikeItems(){

ModPE.setItem(1181 , "bikeFrame" , 0 , "Bike Frame");
Item.setCategory(1181,3);
Player.addItemCreativeInv(1181, 1);
Item.addShapedRecipe(1181, 1 , 0 , ["   ","i i"," i "] , [ "i" , 265  , 0 ]  );

ModPE.setItem(1180 , "bike" , 0 , "Bike");
Item.setCategory(1180,3);
Player.addItemCreativeInv(1180, 1);
Item.addShapedRecipe(1180, 1 , 0 , ["   "," f ","w w"] , [ "w" , 1003  , 0 , "f" , 1181 , 0 ]  );
}

function bikeModelMaker(variable) {

var model = variable.getModel();


model.getPart("head").clear();
model.getPart("body").clear();
model.getPart("rightArm").clear();
model.getPart("leftArm").clear();
model.getPart("rightLeg").clear();
model.getPart("leftLeg").clear();



body = model.getPart("body");

body.setTextureSize(512,256);


body.setTextureOffset(0, 0);
body.addBox(-1, 9, -8 , 2, 2, 12);
body.setTextureOffset(0, 0);
body.addBox(-1, 11, 0 , 2, 8, 2);
body.setTextureOffset(200, 0);
body.addBox(3, 6, -10.5 , 2, 1, 1);
body.setTextureOffset(0, 0);
body.addBox(-1, 11, -8 , 2, 2, 2);
body.setTextureOffset(0, 0);
body.addBox(-1, 15, -4 , 2, 2, 2);
body.setTextureOffset(300, 0);
body.addBox(-2, 16.5, 0 , 1, 1, 1);
body.setTextureOffset(0, 0);
body.addBox(1, 18, 2 , 1, 1, 11);
body.setTextureOffset(0, 0);
body.addBox(1, 13, 6.5 , 1, 1, 2);
body.setTextureOffset(0, 0);
body.addBox(1, 14, 7.5 , 1, 1, 2);
body.setTextureOffset(0, 0);
body.addBox(1, 15, 8.5 , 1, 1, 2);
body.setTextureOffset(0, 0);
body.addBox(1, 12, 4.5 , 1, 1, 3);
body.setTextureOffset(0, 0);
body.addBox(-1, 11, 3 , 2, 1, 3);
body.setTextureOffset(0, 0);
body.addBox(1, 16, 9.5 , 1, 1, 2);
body.setTextureOffset(0, 0);
body.addBox(1, 17, 10.5 , 1, 1, 2);
body.setTextureOffset(0, 0);
body.addBox(-2, 17, 10.5 , 1, 1, 2);
body.setTextureOffset(0, 0);
body.addBox(-2, 16, 9.5 , 1, 1, 2);
body.setTextureOffset(0, 0);
body.addBox(-2, 15, 8.5 , 1, 1, 2);
body.setTextureOffset(0, 0);
body.addBox(-2, 14, 7.5 , 1, 1, 2);
body.setTextureOffset(0, 0);
body.addBox(-2, 13, 6.5 , 1, 1, 2);
body.setTextureOffset(0, 0);
body.addBox(-2, 12, 4.5 , 1, 1, 3);
body.setTextureOffset(0, 0);
body.addBox(-2, 18, 2 , 1, 1, 11);
body.setTextureOffset(300, 0);
body.addBox(0.5, 13, -10.5 , 1, 7, 1);
body.setTextureOffset(200, 0);
body.addBox(-0.5, 16, 15 , 1, 6, 1);
body.setTextureOffset(200, 0);
body.addBox(-0.5, 16, 6 , 1, 6, 1);
body.setTextureOffset(200, 0);
body.addBox(-0.5, 23, 8 , 1, 1, 6);
body.setTextureOffset(450, 0);
body.addBox(-0.5, 15, 7 , 1, 8, 8);
body.setTextureOffset(200, 0);
body.addBox(-0.5, 23, -13 , 1, 1, 6);
body.setTextureOffset(200, 0);
body.addBox(-0.5, 14, -13 , 1, 1, 6);
body.setTextureOffset(200, 0);
body.addBox(-0.5, 16, -6 , 1, 6, 1);
body.setTextureOffset(200, 0);
body.addBox(-0.5, 16, -15 , 1, 6, 1);
body.setTextureOffset(0, 0);
body.addBox(-1, 13, -6 , 2, 2, 2);
body.setTextureOffset(300, 0);
body.addBox(-0.5, 7, -10.5 , 1, 2, 1);
body.setTextureOffset(300, 0);
body.addBox(-0.5, 11, -10.5 , 1, 2, 1);
body.setTextureOffset(300, 0);
body.addBox(-1.5, 13, -10.5 , 1, 7, 1);
body.setTextureOffset(450, 0);
body.addBox(-0.5, 15, -14 , 1, 8, 8);
body.setTextureOffset(200, 0);
body.addBox(-0.5, 14, 8 , 1, 1, 6);
body.setTextureOffset(0, 0);
body.addBox(-1, 17, -2 , 2, 2, 2);
body.setTextureOffset(300, 0);
body.addBox(-2, 17.5, -1 , 1, 1, 1);
body.setTextureOffset(200, 0);
body.addBox(-4, 15.5, 0.5 , 2, 1, 2);
body.setTextureOffset(300, 0);
body.addBox(-2, 15.5, 1 , 1, 1, 1);
body.setTextureOffset(200, 0);
body.addBox(2, 19.5, -3.5 , 2, 1, 2);
body.setTextureOffset(300, 0);
body.addBox(1, 17.5, -1 , 1, 1, 1);
body.setTextureOffset(300, 0);
body.addBox(1, 18.5, -2 , 1, 1, 1);
body.setTextureOffset(300, 0);
body.addBox(1, 19.5, -3 , 1, 1, 1);
body.setTextureOffset(300, 0);
body.addBox(-0.5, 6, -2 , 1, 1, 1);
body.setTextureOffset(300, 0);
body.addBox(-1.5, 6, 1 , 3, 1, 2);
body.setTextureOffset(300, 0);
body.addBox(-1.03333333333333, 6, -1 , 2, 1, 2);
body.setTextureOffset(200, 0);
body.addBox(-0.5, 7, 0.5 , 1, 2, 1);
body.setTextureOffset(300, 0);
body.addBox(-2, 6, -10.5 , 4, 1, 1);
body.setTextureOffset(300, 0);
body.addBox(2, 5.5, -11 , 1, 2, 2);
body.setTextureOffset(200, 0);
body.addBox(-5, 6, -10.5 , 2, 1, 1);
body.setTextureOffset(300, 0);
body.addBox(-3, 5.5, -11 , 1, 2, 2);
body.setTextureOffset(0, 0);
body.addBox(-1, 9, -11 , 2, 2, 3);

} 
 bulldozerModel = Renderer.createHumanoidRenderer();
 bulldozerModelMaker(bulldozerModel);
 blockNum = 0;
 
 //wooden plane
 vehicleBaseType[1101] = {
id: 1101,
type: "CAR",
skin: ["mob/bulldozer.png"],
health: 1000,
speed: 0.1,
model: bulldozerModel,
hitBox: [2,1.5],
startFunction: function() {createGasPedal(); playLoopingSound("/games/com.mojang/MCPE_MECH/bulldozer.wav");},
tickFunction: function() {plowFunction();},
endFunction: function() {destroyButtons(); endSounds();},
loadItems: function() {bulldozerItems();}
};


function bulldozerItems(){

ModPE.setItem(1100 , "bulldozerPlow" , 0 , "Bulldozer Plow");
Item.setCategory(1100,3);
Player.addItemCreativeInv(1100, 1);
Item.addShapedRecipe(1100, 1 , 0 , ["idi","iii","iii"] , [ "i" , 265  , 0 , "d" , 351 , 11 ] );


ModPE.setItem(1101, "bulldozer" , 0 , "Bulldozer");
Item.setCategory(1101,3);
Player.addItemCreativeInv(1101, 1);
Item.addShapedRecipe(1101, 1 , 0 , [" p ","mbd","c c"] , [ "p", 1100, 0, "d" , 351  , 11 , "c" , 1011 , 0 , "b" , 1004 , 0 , "m" , 1002 , 0 ] );


}


function bulldozerModelMaker(variable){

var model = variable.getModel();

model.getPart("head").clear();
model.getPart("body").clear();
model.getPart("rightArm").clear();
model.getPart("leftArm").clear();
model.getPart("rightLeg").clear();
model.getPart("leftLeg").clear();

body = model.getPart("body");
body.setTextureSize(512,256);


body.setTextureOffset(0,235);
body.addBox(-19,13,-34,5,10,10);

body.setTextureOffset(0,235);
body.addBox(-19,13,3,5,10,10);

body.setTextureOffset(0,235);
body.addBox(13,13,3,5,10,10);

body.setTextureOffset(0,235);
body.addBox(13,13,-34,5,10,10);

body.setTextureOffset(0,180);
body.addBox(12,23,-35,8,1,50);

body.setTextureOffset(0,180);
body.addBox(-20,23,-35,8,1,50);

body.setTextureOffset(0,180);
body.addBox(12,12,-35,8,1,50);

body.setTextureOffset(0,180);
body.addBox(-20,12,-35,8,1,50);

body.setTextureOffset(369,169);
body.addBox(18,16,-30,1,4,39);

body.setTextureOffset(400,162);
body.addBox(13,13,-19,5,10,5);

body.setTextureOffset(400,161);
body.addBox(13,13,-8,5,10,5);

body.setTextureOffset(0,161);
body.addBox(12,12,-36,8,12,1);

body.setTextureOffset(0,161);
body.addBox(12,12,15,8,12,1);

body.setTextureOffset(0,161);
body.addBox(-20,12,-36,8,12,1);

body.setTextureOffset(0,161);
body.addBox(-20,12,15,8,12,1);

body.setTextureOffset(400,161);
body.addBox(-18,13,-8,5,10,5);

body.setTextureOffset(400,161);
body.addBox(-18,13,-19,5,10,5);

body.setTextureOffset(369,169);
body.addBox(-20,16,-30,1,4,39);

body.setTextureOffset(0,0);
body.addBox(-12,11,-40,24,8,58);

body.setTextureOffset(200,0);
body.addBox(-12,-2,-37,24,13,30);

body.setTextureOffset(316,0);
body.addBox(-16,-2,-7,4,13,25);

body.setTextureOffset(378,0);
body.addBox(12,-2,-7,4,13,25);

body.setTextureOffset(0,100);
body.addBox(-12,-2,17,24,13,1);

body.setTextureOffset(0,0);
body.addBox(13,-22,-6,2,20,2);

body.setTextureOffset(0,0);
body.addBox(-15,-22,-6,2,20,2);

body.setTextureOffset(0,0);
body.addBox(13,-22,15,2,20,2);

body.setTextureOffset(0,0);
body.addBox(-15,-22,15,2,20,2);

body.setTextureOffset(0,0);
body.addBox(-17,-24,-8,34,2,27);

body.setTextureOffset(400,200);
body.addBox(6,-18,-32,3,16,3);

body.setTextureOffset(400,200);
body.addBox(5.5,-23,-32.5,4,5,4);

body.setTextureOffset(0,0);
body.addBox(-21,3,-48,42,18,2);

body.setTextureOffset(0,0);
body.addBox(-22,3,-53,1,18,5);

body.setTextureOffset(0,0);
body.addBox(21,3,-53,1,18,5);

body.setTextureOffset(0,0);
body.addBox(-21,20,-55,42,1,7);

body.setTextureOffset(0,0);
body.addBox(12,6,-46,1,3,12);

body.setTextureOffset(0,0);
body.addBox(-13,6,-46,1,3,11);

}

function plowFunction(){

bulldozer = activeVehicle;


//is facing north?
if( getYaw() > -45 && getYaw() < 45 ){
northFacingBulldozer();
}

//is facing west?
if( getYaw() > 45 && getYaw() < 135 || getYaw() > -315 && getYaw() < -225){
westFacingBulldozer();
}

//is facing south?
if( getYaw() > 135 && getYaw() < 225 || getYaw() > -225 && getYaw() < -135 ){
southFacingBulldozer();
}

//is facing east?
if( getYaw() > 225 && getYaw() < 315 || getYaw() > -135 && getYaw() < -45 ){
eastFacingBulldozer();
}




function northFacingBulldozer(){

blockInFrontOfBulldozer1 = getTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 2 );
blockInFrontOfBulldozer2 = getTile(Entity.getX(bulldozer) + 0,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 2 );
blockInFrontOfBulldozer3 = getTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 2 );

blockInFrontOfBulldozer4 = getTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer) +1,Entity.getZ(bulldozer) + 2 );
blockInFrontOfBulldozer5 = getTile(Entity.getX(bulldozer) + 0,Entity.getY(bulldozer) +1,Entity.getZ(bulldozer) + 2 );
blockInFrontOfBulldozer6 = getTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer) +1,Entity.getZ(bulldozer) + 2 );

blockInFrontOfBulldozer7 = getTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer) +2,Entity.getZ(bulldozer) + 2 );
blockInFrontOfBulldozer8 = getTile(Entity.getX(bulldozer) + 0,Entity.getY(bulldozer) +2,Entity.getZ(bulldozer) + 2 );
blockInFrontOfBulldozer9 = getTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer) +2,Entity.getZ(bulldozer) + 2 );



blockToFillIn1 = getTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) + 2 );
blockToFillIn2 = getTile(Entity.getX(bulldozer) + 0,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) + 2 );
blockToFillIn3 = getTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) + 2 );

//layer 1

if(blockInFrontOfBulldozer1 != 0 && blockInFrontOfBulldozer1 != 1){
Level.dropItem(Entity.getX(bulldozer) + 1, Entity.getY(bulldozer) , Entity.getZ(bulldozer) + 2, 0 , blockInFrontOfBulldozer1 , 1 , 0);
       setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 2,0,0);
       setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 1,0,0);
	   blockNum++;
}

if(blockInFrontOfBulldozer2 != 0 && blockInFrontOfBulldozer2 != 1 ){
Level.dropItem(Entity.getX(bulldozer) + 0, Entity.getY(bulldozer) , Entity.getZ(bulldozer) + 2, 0 , blockInFrontOfBulldozer2 , 1 , 0);
       setTile(Entity.getX(bulldozer) + 0,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 2,0,0);
       setTile(Entity.getX(bulldozer) + 0,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 1,0,0);
	   blockNum++;
}

if(blockInFrontOfBulldozer3 != 0 && blockInFrontOfBulldozer3 != 1 ){
Level.dropItem(Entity.getX(bulldozer) - 1, Entity.getY(bulldozer) , Entity.getZ(bulldozer) + 2, 0 , blockInFrontOfBulldozer3 , 1 , 0);
       setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 2,0,0);
       setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 1,0,0);
	   blockNum++;
}



//layer 2


if(blockInFrontOfBulldozer4 != 0 && blockInFrontOfBulldozer4 != 1){
Level.dropItem(Entity.getX(bulldozer) + 1, Entity.getY(bulldozer) +1, Entity.getZ(bulldozer) + 2, 0 , blockInFrontOfBulldozer4 , 1 , 0);
        setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer) +1,Entity.getZ(bulldozer) + 2,0,0);
        setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer) +1,Entity.getZ(bulldozer) + 1,0,0);
	   blockNum++;
}

if(blockInFrontOfBulldozer5 != 0 && blockInFrontOfBulldozer5 != 1 ){
Level.dropItem(Entity.getX(bulldozer) + 0, Entity.getY(bulldozer) +1 , Entity.getZ(bulldozer) + 2, 0 , blockInFrontOfBulldozer5 , 1 , 0);
        setTile(Entity.getX(bulldozer) + 0,Entity.getY(bulldozer) +1,Entity.getZ(bulldozer) + 2,0,0);
        setTile(Entity.getX(bulldozer) + 0,Entity.getY(bulldozer) +1,Entity.getZ(bulldozer) + 1,0,0);
	   blockNum++;
}

if(blockInFrontOfBulldozer6 != 0 && blockInFrontOfBulldozer6 != 1 ){
Level.dropItem(Entity.getX(bulldozer) - 1, Entity.getY(bulldozer) +1, Entity.getZ(bulldozer) + 2, 0 , blockInFrontOfBulldozer6 , 1 , 0);
        setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer) +1,Entity.getZ(bulldozer) + 2,0,0);
        setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer) +1,Entity.getZ(bulldozer) + 1,0,0);
	   blockNum++;
}



//layer 3


if(blockInFrontOfBulldozer7 != 0 && blockInFrontOfBulldozer7 != 1){
Level.dropItem(Entity.getX(bulldozer) + 1, Entity.getY(bulldozer) +2, Entity.getZ(bulldozer) + 2, 0 , blockInFrontOfBulldozer7 , 1 , 0);
        setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer) +2,Entity.getZ(bulldozer) + 2,0,0);
        setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer) +2,Entity.getZ(bulldozer) + 1,0,0);
	   blockNum++;
}

if(blockInFrontOfBulldozer8 != 0 && blockInFrontOfBulldozer8 != 1 ){
Level.dropItem(Entity.getX(bulldozer) + 0, Entity.getY(bulldozer) +2, Entity.getZ(bulldozer) + 2, 0 , blockInFrontOfBulldozer8 , 1 , 0);
        setTile(Entity.getX(bulldozer) + 0,Entity.getY(bulldozer) +2,Entity.getZ(bulldozer) + 2,0,0);
        setTile(Entity.getX(bulldozer) + 0,Entity.getY(bulldozer) +2,Entity.getZ(bulldozer) + 1,0,0);
	   blockNum++;
}

if(blockInFrontOfBulldozer9 != 0 && blockInFrontOfBulldozer9 != 1 ){
Level.dropItem(Entity.getX(bulldozer) - 1, Entity.getY(bulldozer) +2, Entity.getZ(bulldozer) + 2, 0 , blockInFrontOfBulldozer9 , 1 , 0);
        setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer) +2,Entity.getZ(bulldozer) + 2,0,0);
        setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer) +2,Entity.getZ(bulldozer) + 1,0,0);
	   blockNum++;
}





if(blockToFillIn1 == 0 && blockNum > 0 || blockToFillIn1 == 31 && blockNum > 0){
setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) + 2,13,0);
blockNum--;
}
if(blockToFillIn2 == 0 && blockNum > 0 || blockToFillIn2 == 31 && blockNum > 0){
setTile(Entity.getX(bulldozer) + 0,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) + 2,13,0);
blockNum--;
}
if(blockToFillIn3 == 0 && blockNum > 0 || blockToFillIn3 == 31 && blockNum > 0){
setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) + 2,13,0);
blockNum--;
}

}

 
 
 
 
 
 
 function southFacingBulldozer(){
 
blockInFrontOfBulldozer1 = getTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 2,0,0);
blockInFrontOfBulldozer2 = getTile(Entity.getX(bulldozer) + 0,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 2,0,0);
blockInFrontOfBulldozer3 = getTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 2,0,0);
 
blockInFrontOfBulldozer4 = getTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 2,0,0);
blockInFrontOfBulldozer5 = getTile(Entity.getX(bulldozer) + 0,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 2,0,0);
blockInFrontOfBulldozer6 = getTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 2,0,0);
 
blockInFrontOfBulldozer7 = getTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 2,0,0);
blockInFrontOfBulldozer8 = getTile(Entity.getX(bulldozer) + 0,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 2,0,0);
blockInFrontOfBulldozer9 = getTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 2,0,0);
 
 
blockToFillIn1 = getTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) - 2,0,0);
blockToFillIn2 = getTile(Entity.getX(bulldozer) + 0,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) - 2,0,0);
blockToFillIn3 = getTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) - 2,0,0);
 
 //layer 1

if(blockInFrontOfBulldozer1 != 0 && blockInFrontOfBulldozer1 != 1 ){
Level.dropItem(Entity.getX(bulldozer) + 1, Entity.getY(bulldozer) , Entity.getZ(bulldozer) - 2, 0 , blockInFrontOfBulldozer1 , 1 , 0);
       setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 2,0,0);
       setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 1,0,0);
	   blockNum++;
	   
}

if(blockInFrontOfBulldozer2 != 0 && blockInFrontOfBulldozer2 != 1 ){
Level.dropItem(Entity.getX(bulldozer) + 0, Entity.getY(bulldozer) , Entity.getZ(bulldozer) - 2, 0 , blockInFrontOfBulldozer2 , 1 , 0);
       setTile(Entity.getX(bulldozer) + 0,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 2,0,0);
       setTile(Entity.getX(bulldozer) + 0,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 1,0,0);
	   blockNum++;   
}

if(blockInFrontOfBulldozer3 != 0 && blockInFrontOfBulldozer3 != 1 ){
Level.dropItem(Entity.getX(bulldozer) - 1, Entity.getY(bulldozer) , Entity.getZ(bulldozer) - 2, 0 , blockInFrontOfBulldozer3 , 1 , 0);
       setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 2,0,0);
       setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 1,0,0);
	   blockNum++;
}




//layer 2


if(blockInFrontOfBulldozer4 != 0 && blockInFrontOfBulldozer4 != 1){
Level.dropItem(Entity.getX(bulldozer) + 1, Entity.getY(bulldozer) +1, Entity.getZ(bulldozer) - 2, 0 , blockInFrontOfBulldozer4 , 1 , 0);
        setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer) +1,Entity.getZ(bulldozer) - 2,0,0);
        setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer) +1,Entity.getZ(bulldozer) - 1,0,0);
	   blockNum++;
}

if(blockInFrontOfBulldozer5 != 0 && blockInFrontOfBulldozer5 != 1 ){
Level.dropItem(Entity.getX(bulldozer) + 0, Entity.getY(bulldozer) +1 , Entity.getZ(bulldozer) - 2, 0 , blockInFrontOfBulldozer5 , 1 , 0);
        setTile(Entity.getX(bulldozer) + 0,Entity.getY(bulldozer) +1,Entity.getZ(bulldozer) - 2,0,0);
        setTile(Entity.getX(bulldozer) + 0,Entity.getY(bulldozer) +1,Entity.getZ(bulldozer) - 1,0,0);
	   blockNum++;
}

if(blockInFrontOfBulldozer6 != 0 && blockInFrontOfBulldozer6 != 1 ){
Level.dropItem(Entity.getX(bulldozer) - 1, Entity.getY(bulldozer) +1, Entity.getZ(bulldozer) - 2, 0 , blockInFrontOfBulldozer6 , 1 , 0);
        setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer) +1,Entity.getZ(bulldozer) - 2,0,0);
        setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer) +1,Entity.getZ(bulldozer) - 1,0,0);
	   blockNum++;
}



//layer 3


if(blockInFrontOfBulldozer7 != 0 && blockInFrontOfBulldozer7 != 1){
Level.dropItem(Entity.getX(bulldozer) + 1, Entity.getY(bulldozer) +2, Entity.getZ(bulldozer) - 2, 0 , blockInFrontOfBulldozer7 , 1 , 0);
        setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer) +2,Entity.getZ(bulldozer) - 2,0,0);
        setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer) +2,Entity.getZ(bulldozer) - 1,0,0);
	   blockNum++;
}

if(blockInFrontOfBulldozer8 != 0 && blockInFrontOfBulldozer8 != 1 ){
Level.dropItem(Entity.getX(bulldozer) + 0, Entity.getY(bulldozer) +2, Entity.getZ(bulldozer) - 2, 0 , blockInFrontOfBulldozer8 , 1 , 0);
        setTile(Entity.getX(bulldozer) + 0,Entity.getY(bulldozer) +2,Entity.getZ(bulldozer) - 2,0,0);
        setTile(Entity.getX(bulldozer) + 0,Entity.getY(bulldozer) +2,Entity.getZ(bulldozer) - 1,0,0);
	   blockNum++;
}

if(blockInFrontOfBulldozer9 != 0 && blockInFrontOfBulldozer9 != 1 ){
Level.dropItem(Entity.getX(bulldozer) - 1, Entity.getY(bulldozer) +2, Entity.getZ(bulldozer) - 2, 0 , blockInFrontOfBulldozer9 , 1 , 0);
        setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer) +2,Entity.getZ(bulldozer) - 2,0,0);
        setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer) +2,Entity.getZ(bulldozer) - 1,0,0);
	   blockNum++;
}







if(blockToFillIn1 == 0  && blockNum > 0 || blockToFillIn1 == 31 && blockNum > 0){
setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) - 2,13,0);
blockNum--;
}
if(blockToFillIn2 == 0  && blockNum > 0 || blockToFillIn2 == 31 && blockNum > 0){
setTile(Entity.getX(bulldozer) + 0,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) - 2,13,0);
blockNum--;
}
if(blockToFillIn3 == 0  && blockNum > 0 || blockToFillIn3 == 31 && blockNum > 0){
setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) - 2,13,0);
blockNum--;
}



}






function eastFacingBulldozer(){

blockInFrontOfBulldozer1 = getTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 1,0,0);
blockInFrontOfBulldozer2 = getTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 0,0,0);
blockInFrontOfBulldozer3 = getTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 1,0,0);

blockInFrontOfBulldozer4 = getTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 1,0,0);
blockInFrontOfBulldozer5 = getTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 0,0,0);
blockInFrontOfBulldozer6 = getTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 1,0,0);

blockInFrontOfBulldozer7 = getTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 1,0,0);
blockInFrontOfBulldozer8 = getTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 0,0,0);
blockInFrontOfBulldozer9 = getTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 1,0,0);

blockToFillIn1 = getTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) + 1,0,0);
blockToFillIn2 = getTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) + 0,0,0);
blockToFillIn3 = getTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) - 1,0,0);


//layer 1

if(blockInFrontOfBulldozer1 != 0 && blockInFrontOfBulldozer1 != 1 ){
Level.dropItem(Entity.getX(bulldozer) + 2, Entity.getY(bulldozer) , Entity.getZ(bulldozer) + 1, 0 , blockInFrontOfBulldozer1 , 1 , 0);
       setTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 1,0,0);
	   setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 1,0,0);
	   blockNum++;
}

if(blockInFrontOfBulldozer2 != 0 && blockInFrontOfBulldozer2 != 1 ){
Level.dropItem(Entity.getX(bulldozer) + 2, Entity.getY(bulldozer) , Entity.getZ(bulldozer) + 0, 0 , blockInFrontOfBulldozer2 , 1 , 0);
       setTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 0,0,0);
	   setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 0,0,0);
	   blockNum++;
}

if(blockInFrontOfBulldozer3 != 0 && blockInFrontOfBulldozer3 != 1 ){
Level.dropItem(Entity.getX(bulldozer) + 2, Entity.getY(bulldozer) , Entity.getZ(bulldozer) - 1, 0 , blockInFrontOfBulldozer3 , 1 , 0);
       setTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 1,0,0);
	   setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 1,0,0);
	   blockNum++;
}


//layer 2

if(blockInFrontOfBulldozer4 != 0 && blockInFrontOfBulldozer4 != 1 ){
Level.dropItem(Entity.getX(bulldozer) + 2, Entity.getY(bulldozer) +1, Entity.getZ(bulldozer) + 1, 0 , blockInFrontOfBulldozer4 , 1 , 0);
       setTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer) +1,Entity.getZ(bulldozer) + 1,0,0);
	   setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer)+1,Entity.getZ(bulldozer) + 1,0,0);
	   blockNum++;
}

if(blockInFrontOfBulldozer5 != 0 && blockInFrontOfBulldozer5 != 1 ){
Level.dropItem(Entity.getX(bulldozer) + 2, Entity.getY(bulldozer) +1, Entity.getZ(bulldozer) + 0, 0 , blockInFrontOfBulldozer5 , 1 , 0);
       setTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer)+1,Entity.getZ(bulldozer) + 0,0,0);
	   setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer)+1,Entity.getZ(bulldozer) + 0,0,0);
	   blockNum++;
}

if(blockInFrontOfBulldozer6 != 0 && blockInFrontOfBulldozer6 != 1 ){
Level.dropItem(Entity.getX(bulldozer) + 2, Entity.getY(bulldozer)+1 , Entity.getZ(bulldozer) - 1, 0 , blockInFrontOfBulldozer6 , 1 , 0);
       setTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer)+1,Entity.getZ(bulldozer) - 1,0,0);
	   setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer)+1,Entity.getZ(bulldozer) - 1,0,0);
	   blockNum++;
}


//layer 3

if(blockInFrontOfBulldozer7 != 0 && blockInFrontOfBulldozer7 != 1 ){
Level.dropItem(Entity.getX(bulldozer) + 2, Entity.getY(bulldozer) +2, Entity.getZ(bulldozer) + 1, 0 , blockInFrontOfBulldozer7 , 1 , 0);
       setTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer)+2,Entity.getZ(bulldozer) + 1,0,0);
	   setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer)+2,Entity.getZ(bulldozer) + 1,0,0);
	   blockNum++;
}

if(blockInFrontOfBulldozer8 != 0 && blockInFrontOfBulldozer8 != 1 ){
Level.dropItem(Entity.getX(bulldozer) + 2, Entity.getY(bulldozer)+2 , Entity.getZ(bulldozer) + 0, 0 , blockInFrontOfBulldozer8 , 1 , 0);
       setTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer)+2,Entity.getZ(bulldozer) + 0,0,0);
	   setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer)+2,Entity.getZ(bulldozer) + 0,0,0);
	   blockNum++;
}

if(blockInFrontOfBulldozer9 != 0 && blockInFrontOfBulldozer9 != 1 ){
Level.dropItem(Entity.getX(bulldozer) + 2, Entity.getY(bulldozer) +2, Entity.getZ(bulldozer) - 1, 0 , blockInFrontOfBulldozer9 , 1 , 0);
       setTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer)+2,Entity.getZ(bulldozer) - 1,0,0);
	   setTile(Entity.getX(bulldozer) + 1,Entity.getY(bulldozer)+2,Entity.getZ(bulldozer) - 1,0,0);
	   blockNum++;
}






if(blockToFillIn1 == 0  && blockNum > 0 || blockToFillIn1 == 31 && blockNum > 0){
setTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) + 1,13,0);
blockNum--;
}
if(blockToFillIn2 == 0  && blockNum > 0 || blockToFillIn2 == 31 && blockNum > 0){
setTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) + 0,13,0);
blockNum--;
}
if(blockToFillIn3 == 0  && blockNum > 0 || blockToFillIn3 == 31 && blockNum > 0){
setTile(Entity.getX(bulldozer) + 2,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) - 1,13,0);
blockNum--;
}



}







function westFacingBulldozer(){

blockInFrontOfBulldozer1 = getTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 1,0,0);
blockInFrontOfBulldozer2 = getTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 0,0,0);
blockInFrontOfBulldozer3 = getTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 1,0,0);

blockInFrontOfBulldozer4 = getTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 1,0,0);
blockInFrontOfBulldozer5 = getTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 0,0,0);
blockInFrontOfBulldozer6 = getTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 1,0,0);

blockInFrontOfBulldozer7 = getTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 1,0,0);
blockInFrontOfBulldozer8 = getTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 0,0,0);
blockInFrontOfBulldozer9 = getTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 1,0,0);



blockToFillIn1 = getTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) + 1,0,0);
blockToFillIn2 = getTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) + 0,0,0);
blockToFillIn3 = getTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) - 1,0,0);


//level 1

if(blockInFrontOfBulldozer1 != 0 && blockInFrontOfBulldozer1 != 1 ){
Level.dropItem(Entity.getX(bulldozer) - 2, Entity.getY(bulldozer) , Entity.getZ(bulldozer) + 1, 0 , blockInFrontOfBulldozer1 , 1 , 0);
       setTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 1,0,0);
	   setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 1,0,0);
	   blockNum++;
}

if(blockInFrontOfBulldozer2 != 0 && blockInFrontOfBulldozer2 != 1 ){
Level.dropItem(Entity.getX(bulldozer) - 2, Entity.getY(bulldozer) , Entity.getZ(bulldozer) + 0, 0 , blockInFrontOfBulldozer2 , 1 , 0);
       setTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 0,0,0);
	   setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer),Entity.getZ(bulldozer) + 0,0,0);
	   blockNum++;
}

if(blockInFrontOfBulldozer3 != 0 && blockInFrontOfBulldozer3 != 1 ){
Level.dropItem(Entity.getX(bulldozer) - 2, Entity.getY(bulldozer) , Entity.getZ(bulldozer) - 1, 0 , blockInFrontOfBulldozer3 , 1 , 0);
       setTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 1,0,0);
	   setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer),Entity.getZ(bulldozer) - 1,0,0);
	   blockNum++;
}


//level 2

if(blockInFrontOfBulldozer4 != 0 && blockInFrontOfBulldozer4 != 1 ){
Level.dropItem(Entity.getX(bulldozer) - 2, Entity.getY(bulldozer) +1, Entity.getZ(bulldozer) + 1, 0 , blockInFrontOfBulldozer4 , 1 , 0);
       setTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer)+1,Entity.getZ(bulldozer) + 1,0,0);
	   setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer)+1,Entity.getZ(bulldozer) + 1,0,0);
	   blockNum++;
}

if(blockInFrontOfBulldozer5 != 0 && blockInFrontOfBulldozer5 != 1 ){
Level.dropItem(Entity.getX(bulldozer) - 2, Entity.getY(bulldozer)+1 , Entity.getZ(bulldozer) + 0, 0 , blockInFrontOfBulldozer5 , 1 , 0);
       setTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer)+1,Entity.getZ(bulldozer) + 0,0,0);
	   setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer)+1,Entity.getZ(bulldozer) + 0,0,0);
	   blockNum++;
}

if(blockInFrontOfBulldozer6 != 0 && blockInFrontOfBulldozer6 != 1 ){
Level.dropItem(Entity.getX(bulldozer) - 2, Entity.getY(bulldozer)+1 , Entity.getZ(bulldozer) - 1, 0 , blockInFrontOfBulldozer6 , 1 , 0);
       setTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer)+1,Entity.getZ(bulldozer) - 1,0,0);
	   setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer)+1,Entity.getZ(bulldozer) - 1,0,0);
	   blockNum++;
}


//level 3

if(blockInFrontOfBulldozer7 != 0 && blockInFrontOfBulldozer7 != 1 ){
Level.dropItem(Entity.getX(bulldozer) - 2, Entity.getY(bulldozer) +2, Entity.getZ(bulldozer) + 1, 0 , blockInFrontOfBulldozer7 , 1 , 0);
       setTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer)+2,Entity.getZ(bulldozer) + 1,0,0);
	   setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer)+2,Entity.getZ(bulldozer) + 1,0,0);
	   blockNum++;
}

if(blockInFrontOfBulldozer8 != 0 && blockInFrontOfBulldozer8 != 1 ){
Level.dropItem(Entity.getX(bulldozer) - 2, Entity.getY(bulldozer)+2 , Entity.getZ(bulldozer) + 0, 0 , blockInFrontOfBulldozer8 , 1 , 0);
       setTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer)+2,Entity.getZ(bulldozer) + 0,0,0);
	   setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer)+2,Entity.getZ(bulldozer) + 0,0,0);
	   blockNum++;
}

if(blockInFrontOfBulldozer9 != 0 && blockInFrontOfBulldozer9 != 1 ){
Level.dropItem(Entity.getX(bulldozer) - 2, Entity.getY(bulldozer) +2, Entity.getZ(bulldozer) - 1, 0 , blockInFrontOfBulldozer9 , 1 , 0);
       setTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer)+2,Entity.getZ(bulldozer) - 1,0,0);
	   setTile(Entity.getX(bulldozer) - 1,Entity.getY(bulldozer)+2,Entity.getZ(bulldozer) - 1,0,0);
	   blockNum++;
}






if(blockToFillIn1 == 0  && blockNum > 0 || blockToFillIn1 == 31 && blockNum > 0){
setTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) + 1,13,0);
blockNum--;
}
if(blockToFillIn2 == 0  && blockNum > 0 || blockToFillIn2 == 31 && blockNum > 0){
setTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) + 0,13,0);
blockNum--;
}
if(blockToFillIn3 == 0  && blockNum > 0 || blockToFillIn3 == 31 && blockNum > 0){
setTile(Entity.getX(bulldozer) - 2,Entity.getY(bulldozer) -1,Entity.getZ(bulldozer) - 1,13,0);
blockNum--;
}

}





}

camaroModel = Renderer.createHumanoidRenderer(); 
 camaroModelMaker(camaroModel);
  
 //camaro
 vehicleBaseType[1170] = {
id: 1170,
type: "CAR",
skin: ["mob/sportsCar/yellow.png","mob/sportsCar/black.png","mob/sportsCar/red.png","mob/sportsCar/green.png","mob/sportsCar/brown.png","mob/sportsCar/blue.png","mob/sportsCar/purple.png","mob/sportsCar/cyan.png","mob/sportsCar/grey.png","mob/sportsCar/pink.png","mob/sportsCar/lime.png","mob/sportsCar/yellow.png","mob/sportsCar/light_blue.png","mob/sportsCar/magenta.png","mob/sportsCar/orange.png","mob/sportsCar/white.png"],
health: 10000,
speed: 0.6,
model: camaroModel,
hitBox: [2, 0.2],
startFunction: function() {createGasPedal(); playLoopingSound("/games/com.mojang/MCPE_MECH/engine.wav");},
tickFunction: function() {},
endFunction: function() {destroyButtons(); endSounds();},
loadItems: function() {camaroItems();}
};


function camaroItems(){

ModPE.setItem(1170 , "camaro" , 0 , "Sports Car");
Item.setCategory(1170,3);
Player.addItemCreativeInv(1170, 1);
Item.addShapedRecipe(1170, 1 , 0 , ["mcr","wbw","w w"] , [ "w" , 1003  , 0 , "m" , 1002 , 0 , "r" , 351 , 11 , "c" , 1004 , 0 , "b" , 351 , 0]  );
}

function camaroModelMaker(variable) {

var model = variable.getModel();


model.getPart("head").clear();
model.getPart("body").clear();
model.getPart("rightArm").clear();
model.getPart("leftArm").clear();
model.getPart("rightLeg").clear();
model.getPart("leftLeg").clear();


body = model.getPart("body");
body.setTextureSize(512,256);

body.setTextureOffset(0, 150);
body.addBox(0, 16, -27 , 14, 3, 1);
body.setTextureOffset(0, 150);
body.addBox(-14, 16, -27 , 14, 3, 1);
body.setTextureOffset(0, 104);
body.addBox(7.5, 9, -26.5 , 7, 3, 1);
body.setTextureOffset(0, 105);
body.addBox(-14.5, 9, -26.5 , 7, 3, 1);
body.setTextureOffset(0, 0);
body.addBox(-14, 7, -25 , 1, 12, 6);
body.setTextureOffset(0, 150);
body.addBox(-15, 16, -27 , 1, 3, 6);
body.setTextureOffset(0, 0);
body.addBox(13, 7, -25 , 1, 12, 6);
body.setTextureOffset(0, 150);
body.addBox(14, 16, -27 , 1, 3, 6);
body.setTextureOffset(300, 200);
body.addBox(-13, 6, -25 , 26, 1, 19);
body.setTextureOffset(0, 0);
body.addBox(-14, 7, -19 , 1, 7, 9);
body.setTextureOffset(0, 0);
body.addBox(13, 7, -19 , 1, 7, 9);
body.setTextureOffset(0, 0);
body.addBox(-14, 7, -10 , 1, 12, 4);
body.setTextureOffset(0, 0);
body.addBox(-14, 7, -6 , 1, 12, 32);
body.setTextureOffset(0, 150);
body.addBox(-15, 9, 6 , 1, 1, 3);
body.setTextureOffset(0, 150);
body.addBox(14, 9, 6 , 1, 1, 3);
body.setTextureOffset(0, 0);
body.addBox(13, 7, -7 , 1, 12, 33);
body.setTextureOffset(31, 48);
body.addBox(-1, 7, -7 , 14, 12, 1);
body.setTextureOffset(31, 48);
body.addBox(-13, 7, -7 , 12, 12, 1);
body.setTextureOffset(0, 0);
body.addBox(0, 18, -6 , 13, 1, 17);
body.setTextureOffset(0, 0);
body.addBox(-13, 18, -6 , 13, 1, 17);
body.setTextureOffset(0, 0);
body.addBox(0, 18, 11 , 13, 1, 15);
body.setTextureOffset(0, 0);
body.addBox(-13, 18, 11 , 13, 1, 15);
body.setTextureOffset(31, 48);
body.addBox(1, 7, 25 , 12, 11, 1);
body.setTextureOffset(31, 48);
body.addBox(-13, 7, 25 , 14, 11, 1);
body.setTextureOffset(0, 0);
body.addBox(13, 7, 26 , 1, 7, 9);
body.setTextureOffset(0, 0);
body.addBox(13, 7, 35 , 1, 12, 3);
body.setTextureOffset(0, 0);
body.addBox(-14, 7, 26 , 1, 7, 9);
body.setTextureOffset(0, 0);
body.addBox(-14, 7, 35 , 1, 12, 4);
body.setTextureOffset(0, 0);
body.addBox(0, 7, 38 , 14, 12, 1);
body.setTextureOffset(0, 0);
body.addBox(-14, 7, 38 , 14, 12, 1);
body.setTextureOffset(306, 186);
body.addBox(-13, 6, 25 , 26, 1, 13);
body.setTextureOffset(300, 200);
body.addBox(-13, -3, 0 , 26, 1, 19);
body.setTextureOffset(0, 150);
body.addBox(-13, 2, -6 , 2, 2, 2);
body.setTextureOffset(0, 150);
body.addBox(-13, 0, -4 , 2, 2, 2);
body.setTextureOffset(0, 150);
body.addBox(-13, -2, -2 , 2, 2, 2);
body.setTextureOffset(0, 150);
body.addBox(-13, 4, -8 , 2, 2, 2);
body.setTextureOffset(0, 150);
body.addBox(11, 4, -8 , 2, 2, 2);
body.setTextureOffset(0, 150);
body.addBox(11, 2, -6 , 2, 2, 2);
body.setTextureOffset(0, 150);
body.addBox(11, 0, -4 , 2, 2, 2);
body.setTextureOffset(0, 150);
body.addBox(11, -2, -2 , 2, 2, 2);
body.setTextureOffset(0, 150);
body.addBox(11, 4, 25 , 2, 2, 2);
body.setTextureOffset(0, 150);
body.addBox(11, 2, 23 , 2, 2, 2);
body.setTextureOffset(0, 150);
body.addBox(11, 0, 21 , 2, 2, 2);
body.setTextureOffset(0, 150);
body.addBox(11, -2, 19 , 2, 2, 2);
body.setTextureOffset(0, 150);
body.addBox(-13, 4, 25 , 2, 2, 2);
body.setTextureOffset(0, 150);
body.addBox(-13, 2, 23 , 2, 2, 2);
body.setTextureOffset(0, 150);
body.addBox(-13, 0, 21 , 2, 2, 2);
body.setTextureOffset(0, 150);
body.addBox(-13, -2, 19 , 2, 2, 2);
body.setTextureOffset(0, 150);
body.addBox(14, 16, 37 , 1, 3, 3);
body.setTextureOffset(0, 150);
body.addBox(0, 16, 39 , 14, 3, 1);
body.setTextureOffset(0, 150);
body.addBox(-14, 16, 39 , 14, 3, 1);
body.setTextureOffset(31, 150);
body.addBox(-15, 16, 37 , 1, 3, 3);
body.setTextureOffset(0, 90);
body.addBox(7, 9, 39 , 5, 3, 1);
body.setTextureOffset(0, 90);
body.addBox(-12, 9, 39 , 5, 3, 1);
body.setTextureOffset(1, 240);
body.addBox(11, 15, -18 , 4, 7, 7);
body.setTextureOffset(1, 240);
body.addBox(-15, 15, -18 , 4, 7, 7);
body.setTextureOffset(1, 240);
body.addBox(-15, 15, 27 , 4, 7, 7);
body.setTextureOffset(1, 240);
body.addBox(11, 15, 27 , 4, 7, 7);
body.setTextureOffset(0, 150);
body.addBox(12, -2, 13 , 1, 20, 2);
body.setTextureOffset(0, 150);
body.addBox(-13, -2, 13 , 1, 20, 2);
body.setTextureOffset(1, 200);
body.addBox(-14, 7, -26 , 28, 12, 1);
body.setTextureOffset(0, 0);
body.addBox(13, 7, -10 , 1, 12, 3);
body.setTextureOffset(0, 150);
body.addBox(-11, 5, -8 , 22, 1, 2);
body.setTextureOffset(0, 150);
body.addBox(-11, 5, 25 , 22, 1, 2);
body.setTextureOffset(0, 150);
body.addBox(-4, 5, -25 , 8, 1, 17);
body.setTextureOffset(0, 150);
body.addBox(14, 17, -10 , 1, 2, 36);
body.setTextureOffset(0, 150);
body.addBox(-15, 17, -10 , 1, 2, 36);
body.setTextureOffset(0, 150);
body.addBox(14, 12, -10 , 1, 5, 2);
body.setTextureOffset(0, 150);
body.addBox(14, 12, -21 , 1, 7, 2);
body.setTextureOffset(0, 150);
body.addBox(14, 12, -19 , 1, 2, 9);
body.setTextureOffset(0, 150);
body.addBox(14, 12, 26 , 1, 2, 9);
body.setTextureOffset(0, 150);
body.addBox(14, 12, 24 , 1, 5, 2);
body.setTextureOffset(0, 150);
body.addBox(14, 12, 35 , 1, 7, 2);
body.setTextureOffset(0, 150);
body.addBox(-15, 12, -19 , 1, 2, 9);
body.setTextureOffset(0, 150);
body.addBox(-15, 12, -21 , 1, 7, 2);
body.setTextureOffset(0, 150);
body.addBox(-15, 12, -10 , 1, 5, 2);
body.setTextureOffset(0, 150);
body.addBox(-15, 12, 24 , 1, 5, 2);
body.setTextureOffset(0, 150);
body.addBox(-15, 12, 35 , 1, 7, 2);
body.setTextureOffset(0, 150);
body.addBox(-15, 12, 26 , 1, 2, 9);

}

carModel = Renderer.createHumanoidRenderer(); 
 carModelMaker(carModel);
  
 //Spitfire
 vehicleBaseType[1120] = {
id: 1120,
type: "CAR",
skin: ["mob/car/red_car.png","mob/car/black_car.png","mob/car/red_car.png","mob/car/green_car.png","mob/car/brown_car.png","mob/car/blue_car.png","mob/car/purple_car.png","mob/car/cyan_car.png","mob/car/grey_car.png","mob/car/pink_car.png","mob/car/lime_car.png","mob/car/yellow_car.png","mob/car/light_blue_car.png","mob/car/magenta_car.png","mob/car/orange_car.png","mob/car/white_car.png"],
health: 10000,
speed: 0.5,
model: carModel,
hitBox: [2,0.7],
startFunction: function() {createGasPedal(); playLoopingSound("/games/com.mojang/MCPE_MECH/engine.wav");},
tickFunction: function() {},
endFunction: function() {destroyButtons(); endSounds();},
loadItems: function() {carItems();}
};


function carItems(){

ModPE.setItem(1120 , "car" , 0 , "Car");
Item.setCategory(1120,3);
Player.addItemCreativeInv(1120, 1);
Item.addShapedRecipe(1120, 1 , 0 , ["mcr","w w","w w"] , [ "w" , 1003  , 0 , "m" , 1002 , 0 , "r" , 351 , 1 , "c" , 1004 , 0 ]  );
}

function carModelMaker(variable) {

var model = variable.getModel();


model.getPart("head").clear();
model.getPart("body").clear();
model.getPart("rightArm").clear();
model.getPart("leftArm").clear();
model.getPart("rightLeg").clear();
model.getPart("leftLeg").clear();



body = model.getPart("body");

body.setTextureSize(64,64);

body.addBox(-14.0, 4.0,-26.0 , 14, 15, 1);
body.addBox( 0.0,4.0 ,-26.0 , 14,15 ,1 );
body.setTextureOffset(31,48);
body.addBox( 0.0, 16.0,-27.0 , 14,3 ,1);
body.addBox( -14.0,16.0 ,-27.0 , 14,3 ,1 );
body.addBox( 7.5,12.0 ,-26.5 ,4 ,2 , 1);
body.setTextureOffset(0,30);
body.addBox(11.5 , 10.0,-26.5 ,3 , 4, 1);
body.setTextureOffset(15,30);
body.addBox( 7.5,10.0 ,-26.5 , 4, 2, 1);
body.setTextureOffset(0,30);
body.addBox(-14.5,10.0 ,-26.5 ,3,4 , 1);
body.setTextureOffset(31,48);
body.addBox(-11.5 , 12.0, -26.5, 4, 2, 1);
body.setTextureOffset(15,30);
body.addBox(-11.5 , 10.0, -26.5, 4, 2,1 );
body.setTextureOffset(31,48);
body.addBox( 0.3, 7.0, -26.3, 14, 1, 1);
body.addBox(-14.3 ,7.0 ,-26.3 ,14 , 1, 1);
body.addBox( -1.0, 6.0,-27.0 ,2 , 3, 1);
body.setTextureOffset(0,0);
body.addBox( -14.0, 4.0,-25.0 , 1,15 , 6);
body.setTextureOffset(31,48);
body.addBox( -15.0,16.0 ,-27.0 , 1,3 , 6);
body.addBox( -14.3,7.0 , -25.7, 1, 1, 15);
body.setTextureOffset(0,0);
body.addBox(13.0 , 4.0,-25.0 , 1, 15, 6);
body.setTextureOffset(31,48);
body.addBox( 14.0, 16.0,-27.0 , 1, 3, 6);
body.addBox( 13.3,7.0 ,-26.0 ,1 ,1 , 15);
body.setTextureOffset(0,0);
body.addBox(-13.0 ,3.0 ,-25.0 ,13 , 1, 19);
body.addBox( 0.0, 3.0,-25.0 , 13,1 , 19);
body.addBox(-14.0 ,4.0 , -19.0,1 , 10, 9);
body.addBox( 13.0, 4.0, -19.0, 1,10 , 9);
body.addBox( -14.0,4.0 ,-10.0 , 1,15 , 6);
body.addBox( 13.0, 4.0,-10.0 ,1 ,15 , 6);
body.addBox( -14.0, 4.0, -4.0,1 , 15, 15);
body.setTextureOffset(31,48);
body.addBox(-14.3 ,7.0 ,-11.0 , 1, 1, 7);
body.addBox( -14.3, 7.0, -3.0,1 ,1 , 13);
body.addBox( -15.0,9.0 ,6.0 , 1, 1, 3);
body.addBox( 14.0,9.0 , 6.0, 1,1 , 3);
body.setTextureOffset(0,0);
body.addBox( 13.0,4.0 , -4.0, 1,15 ,15 );
body.setTextureOffset(31,48);
body.addBox( 13.3,7.0 ,-3.0 ,1 , 1,13 );
body.addBox( 13.3, 7.0,-11.0 , 1, 1, 7);
body.addBox( -1.0, 4.0,-7.0 ,14 , 15, 1);
body.addBox( -13.0,4.0 , -7.0,12,15 , 1);
body.setTextureOffset(0,0);
body.addBox(0.0, 18.0,-6.0 ,13 ,1 ,17 );
body.addBox( -13.0,18.0 , -6.0, 13,1 ,17 );
body.addBox(0.0 ,18.0 ,11.0 ,13 ,1 ,15 );
body.addBox( -13.0, 18.0, 11.0,13 ,1 ,15 );
body.addBox(13.0 ,4.0 ,11.0 ,1 ,15 , 15);
body.addBox( -14.0, 4.0, 11.0, 1,15 ,15 );
body.setTextureOffset(31,48);
body.addBox( 1.0, 4.0, 25.0, 12,14 , 1);
body.addBox( -13.0, 4.0,25.0 , 14,14 , 1);
body.addBox(13.3 , 7.0, 12.0, 1,1 , 13);
body.addBox( 14.0, 9.0, 21.0, 1,1 , 3);
body.addBox( -14.3, 7.0, 12.0, 1,1 ,13 );
body.addBox(-15.0 , 9.0, 21.0, 1,1 ,3 );
body.setTextureOffset(0,0);
body.addBox( -14.0,4.0 , 26.0, 1, 15, 4);
body.addBox( 13.0,4.0 , 26.0, 1,15 , 3);
body.addBox( 13.0, 4.0,29.0 ,1 ,10 , 9);
body.addBox( 13.0, 4.0, 38.0,1 ,15 ,6 );
body.addBox(-14.0 ,4.0 ,30.0 ,1 ,10 , 9);
body.addBox( -14.0, 4.0,39.0 , 1,15 , 6);
body.addBox( 0.0,4.0 ,44.0 ,14 ,15 , 1);
body.addBox( -14.0,4.0 ,44.0 , 14,15 ,1 );
body.addBox( 0.0,3.0 ,25.0 ,13 , 1, 19);
body.addBox( -13.0,3.0 ,25.0 ,13 ,1 , 19);
body.addBox( 0.0,-10.0 , 0.0,13 , 1,19 );
body.addBox( -13.0,-10.0 ,0.0 ,13 ,1 , 19);
body.addBox( -13.0,0.0 , -8.0,2 , 3,2 );
body.addBox( -13.0, -3.0, -6.0,2 ,3 ,2 );
body.addBox( -13.0, -6.0, -4.0,2 ,3 , 2);
body.addBox( -13.0, -9.0, -2.0, 2, 3,2 );
body.addBox( 11.0, 0.0, -8.0, 2, 3, 2);
body.addBox( 11.0, -3.0,-6.0, 2, 3,2 );
body.addBox( 11.0,-6.0 , -4.0, 2,3 ,2 );
body.addBox( 11.0, -9.0,-2.0 , 2, 3,2 );
body.addBox( 11.0,0.0 ,25.0 ,2 ,3 ,2 );
body.addBox(11.0 , -3.0,23.0 , 2,3 ,2 );
body.addBox(11.0 ,-6.0 , 21.0, 2,3 ,2 );
body.addBox( 11.0,-9.0 , 19.0, 2,3 , 2);
body.addBox( -13.0,0.0 ,25.0 , 2,3 , 2);
body.addBox(-13.0 , -3.0,23.0 , 2,3 ,2 );
body.addBox(-13.0 ,-6.0 ,21.0 , 2, 3,2 );
body.addBox(-13.0 , -9.0,19.0 , 2, 3, 2);
body.setTextureOffset(31,48);
body.addBox(13.3 , 7.0, 27.0,1 , 1,15 );
body.addBox(13.3 , 7.0,42.0 ,1 ,1 ,3 );
body.addBox(-14.3,7.0 , 27.0,1 ,1 , 15);
body.addBox( -14.3,7.0 ,42.0 ,1 , 1, 3);
body.addBox( 0.3, 7.0, 44.3,14 ,1 , 1);
body.addBox( -14.3, 7.0, 44.3, 14, 1, 1);
body.addBox(-1.0 ,6.0 ,45.0 ,2 ,3 ,1 );
body.addBox( 14.0,16.0 ,40.0 , 1, 3, 6);
body.addBox( 0.0, 16.0, 45.0, 14, 3, 1);
body.addBox(-14.0 , 16.0, 45.0, 14,3 , 1);
body.addBox( -15.0,16.0 ,40.0 ,1 ,3 ,6 );
body.setTextureOffset(17,33);
body.addBox( 7.0, 10.0, 45.0, 5,3 , 1);
body.addBox( -12.0,10.0 ,45.0 ,5 , 3, 1);
body.setTextureOffset(0,48);
body.addBox( 11.0, 15.0, -18.0,4 ,7 ,7 );
body.addBox( -15.0, 15.0,-18.0 ,4 , 7,7 );
body.addBox( -15.0,15.0 ,31.0 ,4 , 7, 7);
body.addBox( 11.0,15.0 , 30.0, 4, 7,7 );

}
FHNUM = 0;

fighterHelicopterModel1 = Renderer.createHumanoidRenderer(); 
 fighterHelicopterModelMaker1(fighterHelicopterModel1);
 
 fighterHelicopterModel2 = Renderer.createHumanoidRenderer(); 
 fighterHelicopterModelMaker2(fighterHelicopterModel2);
  
 //Spitfire
 vehicleBaseType[1200] = {
id: 1200,
type: "HOVERCRAFT",
skin: ["mob/fighter_helicopter/green_fighter_helicopter.png"],
health: 10000,
speed: 1,
model: fighterHelicopterModel1,
hitBox: [2,0.8],
startFunction: function() {fighterHelicopterStartFunction();},
tickFunction: function() {fighterHelicopterTickFunction();},
endFunction: function() {fighterHelicopterEndFunction();},
loadItems: function() {fighterHelicopterItems();}
};

function fighterHelicopterStartFunction(){
createGasPedal();
createButton("Fire Guns", fireGun);
createButton("Fire Missile", shootMissle);
playLoopingSound("/games/com.mojang/MCPE_MECH/helicopter.wav");
}

function fighterHelicopterTickFunction(){

if(FHNUM == 1){
Entity.setRenderType(activeVehicle , fighterHelicopterModel1.renderType);
}
if(FHNUM == 5){
Entity.setRenderType(activeVehicle , fighterHelicopterModel2.renderType);
}
FHNUM++;
if(FHNUM > 5){
FHNUM = 0;
}
}


function fighterHelicopterEndFunction(){
endSounds();
destroyButtons();
}

function fighterHelicopterItems(){

ModPE.setItem(1200 , "fighterCopter" , 0 , "Helicopter");
Item.setCategory(1200,3);
Player.addItemCreativeInv(1200, 1);
Item.addShapedRecipe(1200, 1 , 0 , ["wiw","cmt","ddd"] , ["d", 351 , 2 , "i", 265, 0 ,"w" , 1010  , 0 , "m" , 1002 , 0 , "t" , 1009 , 0 , "c" , 1008 , 0 ]  );
}

function fighterHelicopterModelMaker1(variable) {

var model = variable.getModel();


model.getPart("head").clear();
model.getPart("body").clear();
model.getPart("rightArm").clear();
model.getPart("leftArm").clear();
model.getPart("rightLeg").clear();
model.getPart("leftLeg").clear();

body = model.getPart("body");

body.setTextureSize(512,256);







body.setTextureOffset(250, 0);
body.addBox(19, 23, -21 , 2, 1, 65);
body.setTextureOffset(0, 0);
body.addBox(-9, 4, -21 , 1, 8, 2);
body.setTextureOffset(0, 0);
body.addBox(-11, 14, -17 , 22, 1, 2);
body.setTextureOffset(0, 0);
body.addBox(-10, 2, -17 , 20, 1, 2);
body.setTextureOffset(0, 0);
body.addBox(-10, 3, -18 , 20, 1, 1);
body.setTextureOffset(0, 0);
body.addBox(-8, 4, -23 , 16, 1, 3);
body.setTextureOffset(0, 0);
body.addBox(-8, 11, -23 , 16, 1, 2);
body.setTextureOffset(0, 0);
body.addBox(-9, 12, -21 , 18, 1, 2);
body.setTextureOffset(0, 0);
body.addBox(-10, 13, -19 , 20, 1, 2);
body.setTextureOffset(250, 0);
body.addBox(-1, 12, -29 , 2, 2, 10);
body.setTextureOffset(0, 0);
body.addBox(-8, 5, -22 , 1, 6, 1);
body.setTextureOffset(0, 0);
body.addBox(7, 5, -22 , 1, 6, 1);
body.setTextureOffset(0, 0);
body.addBox(-11, 3, -17 , 1, 11, 2);
body.setTextureOffset(0, 0);
body.addBox(8, 4, -21 , 1, 8, 2);
body.setTextureOffset(0, 0);
body.addBox(-10, 4, -19 , 1, 9, 2);
body.setTextureOffset(0, 0);
body.addBox(-9, 3, -20 , 18, 1, 2);
body.setTextureOffset(0, 0);
body.addBox(9, 4, -19 , 1, 9, 2);
body.setTextureOffset(0, 0);
body.addBox(-12, 3, -15 , 1, 12, 3);
body.setTextureOffset(0, 0);
body.addBox(10, 3, -17 , 1, 11, 2);
body.setTextureOffset(0, 0);
body.addBox(-12, 2, -12 , 1, 13, 38);
body.setTextureOffset(0, 0);
body.addBox(-11, 2, -12 , 22, 13, 1);
body.setTextureOffset(0, 0);
body.addBox(11, 3, -15 , 1, 12, 3);
body.setTextureOffset(0, 0);
body.addBox(-12, -11, 26 , 1, 26, 5);
body.setTextureOffset(0, 0);
body.addBox(11, 2, -12 , 1, 13, 38);
body.setTextureOffset(250, 0);
body.addBox(7, -14, 96 , 1, 3, 10);
body.setTextureOffset(0, 0);
body.addBox(-11, 2, -15 , 22, 1, 3);
body.setTextureOffset(250, 0);
body.addBox(-12, 1, -14 , 1, 2, 2);
body.setTextureOffset(250, 0);
body.addBox(11, 1, -14 , 1, 2, 2);
body.setTextureOffset(250, 0);
body.addBox(-12, -1, -13 , 1, 2, 3);
body.setTextureOffset(250, 0);
body.addBox(-12, -3, -11 , 1, 2, 3);
body.setTextureOffset(250, 0);
body.addBox(-12, -5, -9 , 1, 2, 3);
body.setTextureOffset(250, 0);
body.addBox(-12, -7, -7 , 1, 2, 3);
body.setTextureOffset(250, 0);
body.addBox(-12, -9, -5 , 1, 2, 3);
body.setTextureOffset(250, 0);
body.addBox(-12, -11, -3 , 1, 2, 4);
body.setTextureOffset(250, 0);
body.addBox(11, -1, -13 , 1, 2, 3);
body.setTextureOffset(250, 0);
body.addBox(11, -3, -11 , 1, 2, 3);
body.setTextureOffset(250, 0);
body.addBox(11, -5, -9 , 1, 2, 3);
body.setTextureOffset(250, 0);
body.addBox(11, -7, -7 , 1, 2, 3);
body.setTextureOffset(250, 0);
body.addBox(11, -9, -5 , 1, 2, 3);
body.setTextureOffset(250, 0);
body.addBox(-1, -14, 13 , 2, 1, 20);
body.setTextureOffset(250, 0);
body.addBox(-12, -13, 13 , 1, 2, 18);
body.setTextureOffset(250, 0);
body.addBox(-12, -12, 1 , 1, 2, 12);
body.setTextureOffset(250, 0);
body.addBox(11, -13, 13 , 1, 2, 18);
body.setTextureOffset(250, 0);
body.addBox(11, -12, 1 , 1, 2, 12);
body.setTextureOffset(250, 0);
body.addBox(-12, -11, -4 , 24, 2, 1);
body.setTextureOffset(250, 0);
body.addBox(11, -10, 8 , 1, 12, 2);
body.setTextureOffset(250, 0);
body.addBox(11, -11, -3 , 1, 2, 4);
body.setTextureOffset(0, 0);
body.addBox(11, -11, 26 , 1, 26, 5);
body.setTextureOffset(250, 0);
body.addBox(-12, -10, 8 , 1, 12, 2);
body.setTextureOffset(250, 0);
body.addBox(-11, -12, 8 , 22, 1, 2);
body.setTextureOffset(0, 0);
body.addBox(-11, -13, 26 , 22, 1, 5);
body.setTextureOffset(0, 0);
body.addBox(-12, -13, 31 , 24, 28, 20);
body.setTextureOffset(0, 0);
body.addBox(-10, -6, 51 , 20, 20, 17);
body.setTextureOffset(0, 0);
body.addBox(-8, -2, 68 , 16, 15, 15);
body.setTextureOffset(250, 0);
body.addBox(-20, 6, 88 , 40, 2, 10);
body.setTextureOffset(0, 0);
body.addBox(-3, -8, 100 , 6, 10, 10);
body.setTextureOffset(0, 0);
body.addBox(-6, 2, 83 , 12, 10, 25);
body.setTextureOffset(0, 0);
body.addBox(-28, 1, 32 , 3, 3, 17);
body.setTextureOffset(250, 0);
body.addBox(-2, -22, 42 , 4, 2, 60);
body.setTextureOffset(250, 0);
body.addBox(-2, -24, 38 , 4, 9, 4);
body.setTextureOffset(250, 0);
body.addBox(-2, -22, -22 , 4, 2, 60);
body.setTextureOffset(0, 0);
body.addBox(-3, -18, 104 , 6, 10, 8);
body.setTextureOffset(250, 0);
body.addBox(3, -14, 106 , 6, 3, 3);
body.setTextureOffset(250, 0);
body.addBox(7, -14, 109 , 1, 3, 10);
body.setTextureOffset(250, 0);
body.addBox(-10, -15, 33 , 20, 2, 16);
body.setTextureOffset(250, 0);
body.addBox(12, -4, 34 , 20, 2, 14);
body.setTextureOffset(250, 0);
body.addBox(-1, -13, 9 , 2, 1, 5);
body.setTextureOffset(250, 0);
body.addBox(-32, -4, 34 , 20, 2, 14);
body.setTextureOffset(250, 0);
body.addBox(-34, -6, 34 , 2, 6, 14);
body.setTextureOffset(250, 0);
body.addBox(32, -6, 34 , 2, 6, 14);
body.setTextureOffset(250, 0);
body.addBox(-27, -2, 34 , 1, 3, 14);
body.setTextureOffset(0, 0);
body.addBox(25, 1, 32 , 3, 3, 17);
body.setTextureOffset(250, 0);
body.addBox(26, -2, 34 , 1, 3, 14);
body.setTextureOffset(0, 0);
body.addBox(-8, 5, -23 , 16, 6, 1);
body.setTextureOffset(250, 0);
body.addBox(-12, 15, -15 , 24, 1, 46);
body.setTextureOffset(250, 0);
body.addBox(-19, 15, 30 , 1, 8, 1);
body.setTextureOffset(250, 0);
body.addBox(-20, 23, -21 , 2, 1, 65);
body.setTextureOffset(250, 0);
body.addBox(13, 13, 30 , 3, 1, 1);
body.setTextureOffset(250, 0);
body.addBox(19, 15, 30 , 1, 8, 1);
body.setTextureOffset(250, 0);
body.addBox(-18, 14, 30 , 3, 1, 1);
body.setTextureOffset(250, 0);
body.addBox(-15, 13, 30 , 3, 1, 1);
body.setTextureOffset(250, 0);
body.addBox(16, 14, 30 , 3, 1, 1);
body.setTextureOffset(250, 0);
body.addBox(-19, 15, -10 , 1, 8, 1);
body.setTextureOffset(250, 0);
body.addBox(-18, 14, -10 , 3, 1, 1);
body.setTextureOffset(250, 0);
body.addBox(-15, 13, -10 , 3, 1, 1);
body.setTextureOffset(250, 0);
body.addBox(13, 13, -10 , 3, 1, 1);
body.setTextureOffset(250, 0);
body.addBox(16, 14, -10 , 3, 1, 1);
body.setTextureOffset(250, 0);
body.addBox(19, 15, -10 , 1, 8, 1);



}

function fighterHelicopterModelMaker2(variable) {

var model = variable.getModel();


model.getPart("head").clear();
model.getPart("body").clear();
model.getPart("rightArm").clear();
model.getPart("leftArm").clear();
model.getPart("rightLeg").clear();
model.getPart("leftLeg").clear();

body = model.getPart("body");

body.setTextureSize(512,256);





body.setTextureOffset(250, 0);
body.addBox(19, 23, -21 , 2, 1, 65);
body.setTextureOffset(0, 0);
body.addBox(-9, 4, -21 , 1, 8, 2);
body.setTextureOffset(0, 0);
body.addBox(-11, 14, -17 , 22, 1, 2);
body.setTextureOffset(0, 0);
body.addBox(-10, 2, -17 , 20, 1, 2);
body.setTextureOffset(0, 0);
body.addBox(-10, 3, -18 , 20, 1, 1);
body.setTextureOffset(0, 0);
body.addBox(-8, 4, -23 , 16, 1, 3);
body.setTextureOffset(0, 0);
body.addBox(-8, 11, -23 , 16, 1, 2);
body.setTextureOffset(0, 0);
body.addBox(-9, 12, -21 , 18, 1, 2);
body.setTextureOffset(0, 0);
body.addBox(-10, 13, -19 , 20, 1, 2);
body.setTextureOffset(250, 0);
body.addBox(-1, 12, -29 , 2, 2, 10);
body.setTextureOffset(0, 0);
body.addBox(-8, 5, -22 , 1, 6, 1);
body.setTextureOffset(0, 0);
body.addBox(7, 5, -22 , 1, 6, 1);
body.setTextureOffset(0, 0);
body.addBox(-11, 3, -17 , 1, 11, 2);
body.setTextureOffset(0, 0);
body.addBox(8, 4, -21 , 1, 8, 2);
body.setTextureOffset(0, 0);
body.addBox(-10, 4, -19 , 1, 9, 2);
body.setTextureOffset(0, 0);
body.addBox(-9, 3, -20 , 18, 1, 2);
body.setTextureOffset(0, 0);
body.addBox(9, 4, -19 , 1, 9, 2);
body.setTextureOffset(0, 0);
body.addBox(-12, 3, -15 , 1, 12, 3);
body.setTextureOffset(0, 0);
body.addBox(10, 3, -17 , 1, 11, 2);
body.setTextureOffset(0, 0);
body.addBox(-12, 2, -12 , 1, 13, 38);
body.setTextureOffset(0, 0);
body.addBox(-11, 2, -12 , 22, 13, 1);
body.setTextureOffset(0, 0);
body.addBox(11, 3, -15 , 1, 12, 3);
body.setTextureOffset(0, 0);
body.addBox(-12, -11, 26 , 1, 26, 5);
body.setTextureOffset(0, 0);
body.addBox(11, 2, -12 , 1, 13, 38);
body.setTextureOffset(0, 0);
body.addBox(-11, 2, -15 , 22, 1, 3);
body.setTextureOffset(250, 0);
body.addBox(-12, 1, -14 , 1, 2, 2);
body.setTextureOffset(250, 0);
body.addBox(11, 1, -14 , 1, 2, 2);
body.setTextureOffset(250, 0);
body.addBox(-12, -1, -13 , 1, 2, 3);
body.setTextureOffset(250, 0);
body.addBox(-12, -3, -11 , 1, 2, 3);
body.setTextureOffset(250, 0);
body.addBox(-12, -5, -9 , 1, 2, 3);
body.setTextureOffset(250, 0);
body.addBox(-12, -7, -7 , 1, 2, 3);
body.setTextureOffset(250, 0);
body.addBox(-12, -9, -5 , 1, 2, 3);
body.setTextureOffset(250, 0);
body.addBox(-12, -11, -3 , 1, 2, 4);
body.setTextureOffset(250, 0);
body.addBox(11, -1, -13 , 1, 2, 3);
body.setTextureOffset(250, 0);
body.addBox(11, -3, -11 , 1, 2, 3);
body.setTextureOffset(250, 0);
body.addBox(11, -5, -9 , 1, 2, 3);
body.setTextureOffset(250, 0);
body.addBox(11, -7, -7 , 1, 2, 3);
body.setTextureOffset(250, 0);
body.addBox(11, -9, -5 , 1, 2, 3);
body.setTextureOffset(250, 0);
body.addBox(-1, -14, 13 , 2, 1, 20);
body.setTextureOffset(250, 0);
body.addBox(-12, -13, 13 , 1, 2, 18);
body.setTextureOffset(250, 0);
body.addBox(-12, -12, 1 , 1, 2, 12);
body.setTextureOffset(250, 0);
body.addBox(11, -13, 13 , 1, 2, 18);
body.setTextureOffset(250, 0);
body.addBox(11, -12, 1 , 1, 2, 12);
body.setTextureOffset(250, 0);
body.addBox(-12, -11, -4 , 24, 2, 1);
body.setTextureOffset(250, 0);
body.addBox(11, -10, 8 , 1, 12, 2);
body.setTextureOffset(250, 0);
body.addBox(11, -11, -3 , 1, 2, 4);
body.setTextureOffset(0, 0);
body.addBox(11, -11, 26 , 1, 26, 5);
body.setTextureOffset(250, 0);
body.addBox(-12, -10, 8 , 1, 12, 2);
body.setTextureOffset(250, 0);
body.addBox(-11, -12, 8 , 22, 1, 2);
body.setTextureOffset(0, 0);
body.addBox(-11, -13, 26 , 22, 1, 5);
body.setTextureOffset(0, 0);
body.addBox(-12, -13, 31 , 24, 28, 20);
body.setTextureOffset(0, 0);
body.addBox(-10, -6, 51 , 20, 20, 17);
body.setTextureOffset(0, 0);
body.addBox(-8, -2, 68 , 16, 15, 15);
body.setTextureOffset(250, 0);
body.addBox(-20, 6, 88 , 40, 2, 10);
body.setTextureOffset(0, 0);
body.addBox(-3, -8, 100 , 6, 10, 10);
body.setTextureOffset(0, 0);
body.addBox(-6, 2, 83 , 12, 10, 25);
body.setTextureOffset(0, 0);
body.addBox(-28, 1, 32 , 3, 3, 17);
body.setTextureOffset(250, 0);
body.addBox(-2, -24, 38 , 4, 9, 4);
body.setTextureOffset(0, 0);
body.addBox(-3, -18, 104 , 6, 10, 8);
body.setTextureOffset(250, 0);
body.addBox(3, -14, 106 , 6, 3, 3);
body.setTextureOffset(250, 0);
body.addBox(-10, -15, 33 , 20, 2, 16);
body.setTextureOffset(250, 0);
body.addBox(12, -4, 34 , 20, 2, 14);
body.setTextureOffset(250, 0);
body.addBox(-1, -13, 9 , 2, 1, 5);
body.setTextureOffset(250, 0);
body.addBox(-32, -4, 34 , 20, 2, 14);
body.setTextureOffset(250, 0);
body.addBox(-34, -6, 34 , 2, 6, 14);
body.setTextureOffset(250, 0);
body.addBox(32, -6, 34 , 2, 6, 14);
body.setTextureOffset(250, 0);
body.addBox(-27, -2, 34 , 1, 3, 14);
body.setTextureOffset(0, 0);
body.addBox(25, 1, 32 , 3, 3, 17);
body.setTextureOffset(250, 0);
body.addBox(26, -2, 34 , 1, 3, 14);
body.setTextureOffset(0, 0);
body.addBox(-8, 5, -23 , 16, 6, 1);
body.setTextureOffset(250, 0);
body.addBox(-12, 15, -15 , 24, 1, 46);
body.setTextureOffset(250, 0);
body.addBox(-19, 15, 30 , 1, 8, 1);
body.setTextureOffset(250, 0);
body.addBox(-20, 23, -21 , 2, 1, 65);
body.setTextureOffset(250, 0);
body.addBox(13, 13, 30 , 3, 1, 1);
body.setTextureOffset(250, 0);
body.addBox(19, 15, 30 , 1, 8, 1);
body.setTextureOffset(250, 0);
body.addBox(-18, 14, 30 , 3, 1, 1);
body.setTextureOffset(250, 0);
body.addBox(-15, 13, 30 , 3, 1, 1);
body.setTextureOffset(250, 0);
body.addBox(16, 14, 30 , 3, 1, 1);
body.setTextureOffset(250, 0);
body.addBox(-19, 15, -10 , 1, 8, 1);
body.setTextureOffset(250, 0);
body.addBox(-18, 14, -10 , 3, 1, 1);
body.setTextureOffset(250, 0);
body.addBox(-15, 13, -10 , 3, 1, 1);
body.setTextureOffset(250, 0);
body.addBox(13, 13, -10 , 3, 1, 1);
body.setTextureOffset(250, 0);
body.addBox(16, 14, -10 , 3, 1, 1);
body.setTextureOffset(250, 0);
body.addBox(19, 15, -10 , 1, 8, 1);
body.setTextureOffset(250, 0);
body.addBox(-62, -22, 38 , 60, 2, 4);
body.setTextureOffset(250, 0);
body.addBox(2, -22, 38 , 60, 2, 4);
body.setTextureOffset(250, 0);
body.addBox(7, -24, 106 , 1, 10, 3);
body.setTextureOffset(250, 0);
body.addBox(7, -11, 106 , 1, 10, 3);

}

policeCarModel = Renderer.createHumanoidRenderer(); 
 policeCarModelMaker(policeCarModel);
  
 //Spitfire
 vehicleBaseType[1160] = {
id: 1160,
type: "CAR",
skin: ["mob/policecar.png"],
health: 10000,
speed: 0.6,
model: policeCarModel,
hitBox: [2,0.7],
startFunction: function() {createGasPedal(); playLoopingSound("/games/com.mojang/MCPE_MECH/police.wav");},
tickFunction: function() {},
endFunction: function() {destroyButtons(); endSounds();},
loadItems: function() {policeCarItems();}
};


function policeCarItems(){

ModPE.setItem(1160 , "PoliceCar" , 0 , "Police Car");
Item.setCategory(1160,3);
Player.addItemCreativeInv(1160, 1);
Item.addShapedRecipe(1160, 1 , 0 , ["mcr","w w","w w"] , [ "w" , 1003  , 0 , "m" , 1002 , 0 , "r" , 351 , 0 , "c" , 1004 , 0 ]  );
}

function policeCarModelMaker(variable) {

var model = variable.getModel();


model.getPart("head").clear();
model.getPart("body").clear();
model.getPart("rightArm").clear();
model.getPart("leftArm").clear();
model.getPart("rightLeg").clear();
model.getPart("leftLeg").clear();



body = model.getPart("body");

body.setTextureSize(512,256);

body.setTextureOffset(0,150);
body.addBox(0,16,-27,14,3,1);

body.setTextureOffset(0,150);
body.addBox(-14,16,-27,14,3,1);

body.setTextureOffset(0,150);
body.addBox(7.5,6,-26.5,7,4,1);

body.setTextureOffset(0,150);
body.addBox(-14.5,6,-26.5,7,4,1);

body.setTextureOffset(0,0);
body.addBox(-14,4,-25,1,15,6);

body.setTextureOffset(0,150);
body.addBox(-15,16,-27,1,3,6);

body.setTextureOffset(0,0);
body.addBox(13,4,-25,1,15,6);

body.setTextureOffset(0,150);
body.addBox(14,16,-27,1,3,6);

body.setTextureOffset(0,0);
body.addBox(-13,3,-25,13,1,19);

body.setTextureOffset(0,0);
body.addBox(0,3,-25,13,1,19);

body.setTextureOffset(0,0);
body.addBox(-14,4,-19,1,10,9);

body.setTextureOffset(0,0);
body.addBox(13,4,-19,1,10,9);

body.setTextureOffset(0,0);
body.addBox(-14,4,-10,1,15,4);

body.setTextureOffset(65,150);
body.addBox(-14,4,-6,1,15,33);

body.setTextureOffset(31,48);
body.addBox(-15,9,6,1,1,3);

body.setTextureOffset(31,48);
body.addBox(14,9,6,1,1,3);

body.setTextureOffset(136,150);
body.addBox(13,4,-7,1,15,33);

body.setTextureOffset(31,48);
body.addBox(-1,4,-7,14,15,1);

body.setTextureOffset(31,48);
body.addBox(-13,4,-7,12,15,1);

body.setTextureOffset(0,0);
body.addBox(0,18,-6,13,1,17);

body.setTextureOffset(0,0);
body.addBox(-13,18,-6,13,1,17);

body.setTextureOffset(0,0);
body.addBox(0,18,11,13,1,15);

body.setTextureOffset(0,0);
body.addBox(-13,18,11,13,1,15);

body.setTextureOffset(31,48);
body.addBox(1,4,25,12,14,1);

body.setTextureOffset(31,48);
body.addBox(-13,4,25,14,14,1);

body.setTextureOffset(31,48);
body.addBox(14,9,21,1,1,3);

body.setTextureOffset(31,48);
body.addBox(-15,9,21,1,1,3);

body.setTextureOffset(0,0);
body.addBox(-14,4,26,1,15,4);

body.setTextureOffset(0,0);
body.addBox(13,4,26,1,15,3);

body.setTextureOffset(0,0);
body.addBox(13,4,29,1,10,9);

body.setTextureOffset(0,0);
body.addBox(13,4,38,1,15,6);

body.setTextureOffset(0,0);
body.addBox(-14,4,30,1,10,9);

body.setTextureOffset(0,0);
body.addBox(-14,4,39,1,15,6);

body.setTextureOffset(0,0);
body.addBox(0,4,44,14,15,1);

body.setTextureOffset(0,0);
body.addBox(-14,4,44,14,15,1);

body.setTextureOffset(0,0);
body.addBox(0,3,25,13,1,19);

body.setTextureOffset(0,0);
body.addBox(-13,3,25,13,1,19);

body.setTextureOffset(0,150);
body.addBox(0,-10,0,13,1,19);

body.setTextureOffset(0,150);
body.addBox(-13,-10,0,13,1,19);

body.setTextureOffset(0,150);
body.addBox(-13,0,-8,2,3,2);

body.setTextureOffset(0,150);
body.addBox(-13,-3,-6,2,3,2);

body.setTextureOffset(0,150);
body.addBox(-13,-6,-4,2,3,2);

body.setTextureOffset(0,150);
body.addBox(-13,-9,-2,2,3,2);

body.setTextureOffset(0,150);
body.addBox(11,0,-8,2,3,2);

body.setTextureOffset(0,150);
body.addBox(11,-3,-6,2,3,2);

body.setTextureOffset(0,150);
body.addBox(11,-6,-4,2,3,2);

body.setTextureOffset(0,150);
body.addBox(11,-9,-2,2,3,2);

body.setTextureOffset(0,150);
body.addBox(11,0,25,2,3,2);

body.setTextureOffset(0,150);
body.addBox(11,-3,23,2,3,2);

body.setTextureOffset(0,150);
body.addBox(11,-6,21,2,3,2);

body.setTextureOffset(0,150);
body.addBox(11,-9,19,2,3,2);

body.setTextureOffset(0,150);
body.addBox(-13,0,25,2,3,2);

body.setTextureOffset(0,150);
body.addBox(-13,-3,23,2,3,2);

body.setTextureOffset(0,150);
body.addBox(-13,-6,21,2,3,2);

body.setTextureOffset(0,150);
body.addBox(-13,-9,19,2,3,2);

body.setTextureOffset(0,150);
body.addBox(14,16,40,1,3,6);

body.setTextureOffset(0,150);
body.addBox(0,16,45,14,3,1);

body.setTextureOffset(0,150);
body.addBox(-14,16,45,14,3,1);

body.setTextureOffset(31,150);
body.addBox(-15,16,40,1,3,6);

body.setTextureOffset(0,90);
body.addBox(7,7,45,5,3,1);

body.setTextureOffset(0,90);
body.addBox(-12,7,45,5,3,1);

body.setTextureOffset(1,240);
body.addBox(11,15,-18,4,7,7);

body.setTextureOffset(1,240);
body.addBox(-15,15,-18,4,7,7);

body.setTextureOffset(1,240);
body.addBox(-15,15,31,4,7,7);

body.setTextureOffset(1,240);
body.addBox(11,15,30,4,7,7);

body.setTextureOffset(0,150);
body.addBox(12,-9,10,1,27,2);

body.setTextureOffset(0,150);
body.addBox(-13,-9,10,1,27,2);

body.setTextureOffset(1,200);
body.addBox(-14,4,-26,28,15,1);

body.setTextureOffset(0,0);
body.addBox(13,4,-10,1,15,3);

body.setTextureOffset(0,150);
body.addBox(-11,2,-8,22,1,2);

body.setTextureOffset(0,150);
body.addBox(-11,2,25,22,1,2);

body.setTextureOffset(0,90);
body.addBox(-12,-12,8,10,2,5);

body.setTextureOffset(0,101);
body.addBox(2,-12,8,10,2,5);

body.setTextureOffset(0,168);
body.addBox(-2,-12,8,4,2,5);

}
 spitfireModel = Renderer.createHumanoidRenderer(); 
 spitfireModelMaker(spitfireModel);
  
 //Spitfire
 vehicleBaseType[1150] = {
id: 1150,
type: "AIRCRAFT",
skin: ["mob/spitfire.png"],
health: 10000,
speed: 0.8,
model: spitfireModel,
hitBox: [2,1.4],
startFunction: function() {spitfireStartFunction(); playLoopingSound("/games/com.mojang/MCPE_MECH/propSound.ogg");},
tickFunction: function() {},
endFunction: function() {spitfireEndFunction(); endSounds();},
loadItems: function() {spitfireItems();}
};



function spitfireStartFunction(){
createGasPedal();
createButton("Fire Guns", fireGun);
createButton("Drop Bombs", dropBomb);
}

function spitfireEndFunction(){
destroyButtons();
}



function spitfireItems(){

ModPE.setItem(1150 , "spitfire" , 0 , "Spitfire");
Item.setCategory(1150,3);
Player.addItemCreativeInv(1150, 1);
Item.addShapedRecipe(1150, 1 , 0 , ["pm ","wcw"," tb"] , [ "b", 1017, 0, "p", 1016, 0, "c" , 1008 , 0 , "t" , 1009 , 0 , "m" , 1002 , 0 , "w" , 1010 , 0] ); // tail

}

function spitfireModelMaker(variable) {

var model = variable.getModel();

// gets the head
model.getPart("head").clear();
// gets the body
var body = model.getPart("body").clear();
// gets the right arm
model.getPart("rightArm").clear();
// gets the left arm
model.getPart("leftArm").clear();
// gets the right leg and removes it 
model.getPart("rightLeg").clear();
// gets the left leg and removes it
model.getPart("leftLeg").clear();

body.setTextureSize(256,128);


body.setTextureOffset(0,0);
body.addBox(-5,-1,-65,10,10,3);

body.setTextureOffset(22,0);
body.addBox(-6,-2,-62,12,12,3);

body.setTextureOffset(44,0);
body.addBox(-7,-3,-59,14,14,3);

body.setTextureOffset(0,0);
body.addBox(-8,-4,-56,16,16,3);

body.setTextureOffset(25,0);
body.addBox(-9,-5,-53,18,18,3);

body.setTextureOffset(23,0);
body.addBox(-10,-7,-50,20,23,34);

body.setTextureOffset(0,102);
body.addBox(-2,2,-69,4,4,4);

body.setTextureOffset(0,100);
body.addBox(-1,3,-70,2,2,1);

body.setTextureOffset(39,112);
body.addBox(2,3,-68,11,2,1);

body.setTextureOffset(41,119);
body.addBox(-13,3,-68,11,2,1);

body.setTextureOffset(0,116);
body.addBox(-1,-9,-68,2,11,1);

body.setTextureOffset(7,116);
body.addBox(-1,6,-68,2,11,1);

body.setTextureOffset(86,95);
body.addBox(10,5,-43,55,3,30);

body.setTextureOffset(86,62);
body.addBox(-65,5,-43,55,3,30);

body.setTextureOffset(0,0);
body.addBox(-10,14,-16,20,1,30);

body.setTextureOffset(194,0);
body.addBox(9,-5,-16,1,19,30);

body.setTextureOffset(131,0);
body.addBox(-10,-5,-16,1,19,30);

body.setTextureOffset(25,0);
body.addBox(-10,-20,14,20,34,20);

body.setTextureOffset(0,0);
body.addBox(7,-18,-19,2,11,2);

body.setTextureOffset(0,0);
body.addBox(-9,-18,-19,2,11,2);

body.setTextureOffset(0,0);
body.addBox(-10,-20,-6,20,1,20);

body.setTextureOffset(0,0);
body.addBox(-10,-19,-21,20,1,16);

body.setTextureOffset(3,11);
body.addBox(-9,-13,34,18,26,20);

body.setTextureOffset(25,7);
body.addBox(-8,-7,54,16,19,20);

body.setTextureOffset(25,0);
body.addBox(-7,-3,73,14,14,31);

body.setTextureOffset(0,60);
body.addBox(-3,20,90,2,4,4);

body.setTextureOffset(1,0);
body.addBox(-25.333333333333,3,84,50,3,20);

body.setTextureOffset(33,63);
body.addBox(-2,-23.266666666667,84.533333333333,4,20,19);

body.setTextureOffset(0,0);
body.addBox(-9,16,-40,2,6,2);

body.setTextureOffset(0,0);
body.addBox(7,16,-40,2,6,2);

body.setTextureOffset(0,60);
body.addBox(-11,20,-41,2,4,4);

body.setTextureOffset(0,60);
body.addBox(9,20,-41,2,4,4);

body.setTextureOffset(0,0);
body.addBox(-1,11,91,2,11,2);

body.setTextureOffset(0,60);
body.addBox(1,20,90,2,4,4);

body.setTextureOffset(0,100);
body.addBox(40,8,-40,4,4,8);

body.setTextureOffset(0,100);
body.addBox(-45,8,-40,4,4,8);

body.setTextureOffset(0,98);
body.addBox(41,9,-53,2,2,13);

body.setTextureOffset(0,98);
body.addBox(-44,9,-53,2,2,13);

body.setTextureOffset(0,85);
body.addBox(-44.5,8.5,-58,3,3,5);

body.setTextureOffset(0,85);
body.addBox(40,8.5,-58,3,3,5);

}
 tankModel = Renderer.createHumanoidRenderer(); 
 tankModelMaker(tankModel);
  
 //Spitfire
 vehicleBaseType[1140] = {
id: 1140,
type: "CAR",
skin: ["mob/tank.png"],
health: 10000,
speed: 0.3,
model: tankModel,
hitBox: [2,1],
startFunction: function() {tankStartFunction(); playLoopingSound("/games/com.mojang/MCPE_MECH/tank.wav");},
tickFunction: function() {},
endFunction: function() {tankEndFunction(); endSounds();},
loadItems: function() {tankItems();}
};


function tankItems(){

ModPE.setItem(1140 , "tank" , 0 , "Tank");
Item.setCategory(1140,3);
Player.addItemCreativeInv(1140, 1);
Item.addShapedRecipe(1140, 1 , 0 , [" t ","mbd","c c"] , [ "d" , 351  , 2 , "c" , 1011 , 0 , "b" , 1012 , 0 , "m" , 1002 , 0 ] );

}


function tankStartFunction(){
createGasPedal();
createButton("Fire Missle", shootMissle);
}

function tankEndFunction(){
destroyButtons();
}



function tankModelMaker(variable) {

var model = variable.getModel();

model.getPart("head").clear();
model.getPart("body").clear();
model.getPart("rightArm").clear();
model.getPart("leftArm").clear();
model.getPart("rightLeg").clear();
model.getPart("leftLeg").clear();

body = model.getPart("body");

body.setTextureSize(512,256);

             //   l/r  u/d  F/B   w    h    l
 
body.setTextureOffset(201,0);
body.addBox(21,17,-21,3,6,6);

body.setTextureOffset(201,0);
body.addBox(21,17,-11.6,3,6,6);

body.setTextureOffset(201,0);
body.addBox(21,17,-3,3,6,6);

body.setTextureOffset(201,0);
body.addBox(21,17,6,3,6,6);

body.setTextureOffset(201,0);
body.addBox(21,17,15,3,6,6);

body.setTextureOffset(201,0);
body.addBox(-24,17,-2,3,6,6);

body.setTextureOffset(201,0);
body.addBox(-24,17,7,3,6,6);

body.setTextureOffset(201,0);
body.addBox(-24,17,16,3,6,6);

body.setTextureOffset(201,0);
body.addBox(-24,17,-11,3,6,6);

body.setTextureOffset(201,0);
body.addBox(-24,17,-20,3,6,6);

body.setTextureOffset(201,0);
body.addBox(21,13,-29,3,6,6);

body.setTextureOffset(201,0);
body.addBox(21,13,23,3,6,6);

body.setTextureOffset(201,0);
body.addBox(-24,13,-28,3,6,6);

body.setTextureOffset(201,0);
body.addBox(-24,13,24,3,6,6);

body.setTextureOffset(0,200);
body.addBox(20,23,-23,5,1,46);

body.setTextureOffset(0,200);
body.addBox(-25,23,-22,5,1,46);

body.setTextureOffset(0,200);
body.addBox(-25,22,-24,5,1,2);

body.setTextureOffset(0,200);
body.addBox(-25,21,-26,5,1,2);

body.setTextureOffset(0,200);
body.addBox(-25,20,-28,5,1,2);

body.setTextureOffset(0,200);
body.addBox(-25,13,-29,5,7,1);

body.setTextureOffset(0,200);
body.addBox(-25,22,24,5,1,2);

body.setTextureOffset(0,200);
body.addBox(-25,21,26,5,1,2);

body.setTextureOffset(0,200);
body.addBox(-25,20,28,5,1,2);

body.setTextureOffset(0,200);
body.addBox(-25,13,30,5,7,1);

body.setTextureOffset(0,200);
body.addBox(20,22,-25,5,1,2);

body.setTextureOffset(0,200);
body.addBox(20,21,-27,5,1,2);

body.setTextureOffset(0,200);
body.addBox(20,20,-29,5,1,2);

body.setTextureOffset(0,200);
body.addBox(20,12,-30,5,8,1);

body.setTextureOffset(0,200);
body.addBox(20,22,23,5,1,2);

body.setTextureOffset(0,200);
body.addBox(20,21,25,5,1,2);

body.setTextureOffset(0,200);
body.addBox(20,20,27,5,1,2);

body.setTextureOffset(0,200);
body.addBox(20,12,29,5,8,1);

body.setTextureOffset(0,0);
body.addBox(25,12,-31,1,5,66);

body.setTextureOffset(0,200);
body.addBox(20,18,-20,1,4,40);

body.setTextureOffset(0,200);
body.addBox(-21,18,-19,1,4,40);

body.setTextureOffset(0,0);
body.addBox(-26,12,-32,1,5,67);

body.setTextureOffset(0,0);
body.addBox(19,12,-32,7,5,1);

body.setTextureOffset(0,190);
body.addBox(20,11,-31,5,1,60);

body.setTextureOffset(0,190);
body.addBox(-25,11,-31,5,1,60);

body.setTextureOffset(0,0);
body.addBox(-25,12,-32,6,5,1);

body.setTextureOffset(0,0);
body.addBox(-20,12,-24,41,5,5);

body.setTextureOffset(0,0);
body.addBox(-20,12,-31,1,5,7);

body.setTextureOffset(0,0);
body.addBox(19,12,-31,1,5,7);

body.setTextureOffset(0,0);
body.addBox(-20,9,-19,40,3,48);

body.setTextureOffset(0,190);
body.addBox(-19,14,-29,40,2,5);

body.setTextureOffset(0,0);
body.addBox(-26,12,35,52,5,1);

body.setTextureOffset(0,0);
body.addBox(-26,8,29,52,4,7);

body.setTextureOffset(0,0);
body.addBox(-10,8,-7,21,1,21);

body.setTextureOffset(0,0);
body.addBox(-14,1,-17,28,7,43);

body.setTextureOffset(0,0);
body.addBox(-15,2,-16,1,5,41);

body.setTextureOffset(0,0);
body.addBox(14,2,-16,1,5,41);

body.setTextureOffset(0,0);
body.addBox(-13,2,26,26,5,1);

body.setTextureOffset(0,190);
body.addBox(-25,7,30,50,1,5);

body.setTextureOffset(0,0);
body.addBox(-13,0,-16,26,1,41);

body.setTextureOffset(0,0);
body.addBox(-13,2,-18,26,5,1);

body.setTextureOffset(0,134);
body.addBox(-7,-1,7,14,1,14);

body.setTextureOffset(0,0);
body.addBox(-6,-2,5,1,2,3);

body.setTextureOffset(0,0);
body.addBox(5,-2,5,1,2,3);

body.setTextureOffset(121,134);
body.addBox(-6,-0.5,-8,12,1,12);

body.setTextureOffset(131,120);
body.addBox(-8,-1,4,16,1,2);

body.setTextureOffset(131,120);
body.addBox(-8,-1,-10,16,1,2);

body.setTextureOffset(131,150);
body.addBox(-8,-1,-8,2,1,12);

body.setTextureOffset(131,150);
body.addBox(6,-1,-8,2,1,12);

body.setTextureOffset(0,194);
body.addBox(0,3,-68,4,4,50);

body.setTextureOffset(74,132);
body.addBox(-1,2,-76,6,6,10);

body.setTextureOffset(0,210);
body.addBox(-11,-19,22,1,19,1);

body.setTextureOffset(0,210);
body.addBox(-11.5,-22,21.5,2,3,2);
}


 UFOModel = Renderer.createHumanoidRenderer(); 
 UFOModelMaker(UFOModel);
  
 //UFO
 vehicleBaseType[1190] = {
id: 1190,
type: "HOVERCRAFT",
skin: ["mob/UFO/blue_UFO.png","mob/UFO/black_UFO.png","mob/UFO/red_UFO.png","mob/UFO/green_UFO.png","mob/UFO/brown_UFO.png","mob/UFO/blue_UFO.png","mob/UFO/purple_UFO.png","mob/UFO/cyan_UFO.png","mob/UFO/grey_UFO.png","mob/UFO/pink_UFO.png","mob/UFO/lime_UFO.png","mob/UFO/yellow_UFO.png","mob/UFO/light_blue_UFO.png","mob/UFO/magenta_UFO.png","mob/UFO/orange_UFO.png","mob/UFO/white_UFO.png"],
health: 10000,
speed: 1,
model: UFOModel,
hitBox: [2,1.5],
startFunction: function() {UFOStartFunction(); playLoopingSound("/games/com.mojang/MCPE_MECH/UFO.wav");},
tickFunction: function() {},
endFunction: function() {UFOEndFunction(); endSounds();},
loadItems: function() {UFOItems();}
};



function UFOStartFunction(){
createGasPedal();
createButton("Fire Guns", fireGun);
createButton("Drop Bombs", dropBomb);
}

function UFOEndFunction(){
destroyButtons();
}



function UFOItems(){

ModPE.setItem(1190 , "UFO" , 0 , "UFO");
Item.setCategory(1190,3);
Player.addItemCreativeInv(1190, 1);
Item.addShapedRecipe(1190, 1 , 0 , [" g ","bmb"," b "] , [ "b", 42, 0, "g", 20, 0, "m" , 1002 ,0] );

}

function UFOModelMaker(variable) {

var model = variable.getModel();

// gets the head
model.getPart("head").clear();
// gets the body
var body = model.getPart("body").clear();
// gets the right arm
model.getPart("rightArm").clear();
// gets the left arm
model.getPart("leftArm").clear();
// gets the right leg and removes it 
model.getPart("rightLeg").clear();
// gets the left leg and removes it
model.getPart("leftLeg").clear();

body.setTextureSize(512,256);

body.setTextureOffset(150, 0);
body.addBox(-21, 3, -21 , 42, 5, 42);
body.setTextureOffset(0, 0);
body.addBox(-15, -3, 7 , 30, 3, 8);
body.setTextureOffset(150, 150);
body.addBox(-18, 0, -18 , 36, 3, 36);
body.setTextureOffset(150, 150);
body.addBox(-18, 8, -18 , 36, 3, 36);
body.setTextureOffset(150, 150);
body.addBox(-12, 14, -12 , 24, 2, 24);
body.setTextureOffset(0, 0);
body.addBox(7, -3, -7 , 8, 3, 14);
body.setTextureOffset(0, 0);
body.addBox(-15, -3, -15 , 30, 3, 8);
body.setTextureOffset(0, 0);
body.addBox(-15, -3, -7 , 8, 3, 14);
body.setTextureOffset(0, 0);
body.addBox(8, -17, 8 , 2, 14, 2);
body.setTextureOffset(0, 0);
body.addBox(8, -17, -11 , 2, 14, 2);
body.setTextureOffset(0, 0);
body.addBox(-10, -17, -11 , 2, 14, 2);
body.setTextureOffset(0, 0);
body.addBox(-6, -25, -7 , 12, 2, 13);
body.setTextureOffset(0, 0);
body.addBox(-10, -17, 8 , 2, 14, 2);
body.setTextureOffset(0, 0);
body.addBox(-9, -19, -10 , 2, 2, 2);
body.setTextureOffset(0, 0);
body.addBox(-8, -21, -9 , 2, 2, 2);
body.setTextureOffset(0, 0);
body.addBox(-7, -23, -8 , 2, 2, 2);
body.setTextureOffset(0, 0);
body.addBox(-7, -23, 5 , 2, 2, 2);
body.setTextureOffset(0, 0);
body.addBox(-8, -21, 6 , 2, 2, 2);
body.setTextureOffset(0, 0);
body.addBox(-9, -19, 7 , 2, 2, 2);
body.setTextureOffset(0, 0);
body.addBox(5, -23, 5 , 2, 2, 2);
body.setTextureOffset(0, 0);
body.addBox(6, -21, 6 , 2, 2, 2);
body.setTextureOffset(0, 0);
body.addBox(7, -19, 7 , 2, 2, 2);
body.setTextureOffset(0, 0);
body.addBox(5, -23, -8 , 2, 2, 2);
body.setTextureOffset(0, 0);
body.addBox(6, -21, -9 , 2, 2, 2);
body.setTextureOffset(0, 0);
body.addBox(7, -19, -10 , 2, 2, 2);
body.setTextureOffset(150, 150);
body.addBox(8, -5, -9 , 1, 2, 17);
body.setTextureOffset(150, 150);
body.addBox(-8, -5, -10 , 16, 2, 1);
body.setTextureOffset(150, 150);
body.addBox(-8, -5, 8 , 16, 2, 1);
body.setTextureOffset(150, 150);
body.addBox(-9, -5, -9 , 1, 2, 17);
body.setTextureOffset(0, 150);
body.addBox(-5.5, -8, -9.5 , 2, 2, 2);
body.setTextureOffset(0, 0);
body.addBox(-5, -6, -9 , 1, 3, 1);
body.setTextureOffset(0, 0);
body.addBox(3, -6, -9 , 1, 3, 1);
body.setTextureOffset(0, 150);
body.addBox(2.5, -8, -9.5 , 2, 2, 2);
body.setTextureOffset(0, 0);
body.addBox(-15, 11, -15 , 30, 3, 30);
} 
 woodenPlaneModel = Renderer.createHumanoidRenderer();
 woodenPlaneModelMaker(woodenPlaneModel);
 
 
 //wooden plane
 vehicleBaseType[1130] = {
id: 1130,
type: "AIRCRAFT",
skin: ["mob/woodenplane.png"],
health: 1000,
speed: 0.5,
model: woodenPlaneModel,
hitBox: [2, 0.7],
startFunction: function() {createGasPedal(); playLoopingSound("/games/com.mojang/MCPE_MECH/propSound.ogg");},
tickFunction: function() {},
endFunction: function() {destroyButtons(); endSounds();},
loadItems: function() {woodenPlaneItems();}
};


function woodenPlaneItems(){

ModPE.setItem(1130 , "Biplane" , 0 , "Biplane");
Item.setCategory(1130,3);
Player.addItemCreativeInv(1130, 1);
Item.addShapedRecipe(1130, 1 , 0 , ["pm ","wcw"," t "] , [ "p", 1015, 0, "c" , 1006 , 0 , "t" , 1005 , 0 , "m" , 1002 , 0 , "w" , 1007 , 0] ); // w plane 

}



function woodenPlaneModelMaker(variable){

var model = variable.getModel();

model.getPart("head").clear();
model.getPart("body").clear();
model.getPart("rightArm").clear();
model.getPart("leftArm").clear();
model.getPart("rightLeg").clear();
model.getPart("leftLeg").clear();

var body = model.getPart("body");

body.setTextureSize(512,256);    
	//   x    y    F/B   x   y   F/B
 

body.setTextureOffset(0,0);
body.addBox(-10,14,-16,20,1,30);

body.setTextureOffset(0,0);
body.addBox(-10,5,-16,1,9,30);

body.setTextureOffset(0,0);
body.addBox(9,5,-16,1,9,30);

body.setTextureOffset(0,0);
body.addBox(-9,5,-16,18,9,1);

body.setTextureOffset(0,0);
body.addBox(-9,5,13,18,9,1);

body.setTextureOffset(0,0);
body.addBox(-40,6,-15,30,3,20);

body.setTextureOffset(0,0);
body.addBox(10,6,-15,30,3,20);

body.setTextureOffset(29,200);
body.addBox(-2,8,-20,4,4,4);

body.setTextureOffset(0,201);
body.addBox(8,20,-14,2,4,4);

body.setTextureOffset(0,201);
body.addBox(-10,20,-14,2,4,4);

body.setTextureOffset(0,0);
body.addBox(-8,17.466666666667,-13,1,5,2);

body.setTextureOffset(0,0);
body.addBox(-8,15,-16,16,3,30);

body.setTextureOffset(0,0);
body.addBox(7,17,-13,1,5,2);

body.setTextureOffset(0,0);
body.addBox(-40,-14,-15,80,3,20);

body.setTextureOffset(0,0);
body.addBox(-35,-11,-13,3,17,2);

body.setTextureOffset(0,0);
body.addBox(-35,-11,1,3,17,2);

body.setTextureOffset(0,0);
body.addBox(32,-11,-13,3,17,2);

body.setTextureOffset(0,0);
body.addBox(32,-11,1,3,17,2);

body.setTextureOffset(0,0);
body.addBox(-18,-11,-13,3,17,2);

body.setTextureOffset(0,0);
body.addBox(-18,-11,2,3,17,2);

body.setTextureOffset(0,0);
body.addBox(15,-11,2,3,17,2);

body.setTextureOffset(0,0);
body.addBox(15,-11,-13,3,17,2);

body.setTextureOffset(0,0);
body.addBox(-1.5,0,-19,3,8,1);

body.setTextureOffset(0,0);
body.addBox(-1.5,12,-19,3,8,1);

body.setTextureOffset(0,0);
body.addBox(2,8.5,-19,8,3,1);

body.setTextureOffset(0,0);
body.addBox(-10,8.5,-19,8,3,1);

body.setTextureOffset(0,0);
body.addBox(-7,7,14,14,9,27);

body.setTextureOffset(0,0);
body.addBox(-20,10,30,40,3,10);

body.setTextureOffset(0,0);
body.addBox(-1.5,-6,31,3,13,10);

}


function spawnVehicle( id, x, y, z){

entity = Level.spawnMob(x,y+1,z,15);

Entity.setMobSkin(entity, vehicleBaseType[id].skin[0]);

Entity.setRenderType(entity ,  vehicleBaseType[id].model.renderType);

Entity.setHealth(entity , vehicleBaseType[id].health);

Entity.setCollisionSize(entity,vehicleBaseType[id].hitBox[0],vehicleBaseType[id].hitBox[1]); 

Player.addItemInventory(vehicleBaseType[id].id,-1,0);


vehicleList[vehicleList.length] = {
id: id, 
mID: entity, 
lock: [true,Entity.getX(entity),Entity.getY(entity),Entity.getZ(entity),Entity.getYaw(entity)],
type: vehicleBaseType[id].type , 
activeSkin: vehicleBaseType[id].skin[0], 
health: vehicleBaseType[id].health, 
speed: vehicleBaseType[id].speed ,
model: vehicleBaseType[id].model,
gasAmount: 1,
startFunction: vehicleBaseType[id].startFunction,
tickFunction: vehicleBaseType[id].tickFunction,
endFunction: vehicleBaseType[id].endFunction,
isSpawned: true
};
}



gasPedalDown = false;
breakPedalDown = false;
vehicleSpeed = 0;

function speedUp(){

if(vehicleSpeed < activeVehicleSpeed){
vehicleSpeed = vehicleSpeed + 0.008;
}
vehicleMotor(activeVehicle,vehicleSpeed,activeVehicleType);
}

function slowDown(){

if(vehicleSpeed > 0){
vehicleSpeed = vehicleSpeed - 0.008;
}
if(vehicleSpeed < 0){
vehicleSpeed = vehicleSpeed + 0.008;
}
vehicleMotor(activeVehicle,vehicleSpeed,activeVehicleType);
}

function breakPedal(){
if(vehicleSpeed > -0.2){
vehicleSpeed = vehicleSpeed - 0.012;
}
vehicleMotor(activeVehicle,vehicleSpeed,activeVehicleType);
}


function vehicleMotor( ent, speed, type){

var DEG_TO_RAD = Math.PI / 180;
var playerDir = [0, 0, 0];

playerDir[0] = Math.cos((getYaw() + 90) * DEG_TO_RAD );
playerDir[1] = Math.sin(getPitch() * DEG_TO_RAD * -1);
playerDir[2] = Math.sin((getYaw() + 90) * DEG_TO_RAD );

setRot(ent , getYaw() , 45 );


if(type == "AIRCRAFT"){

if(getPitch() > 3){
playerDir[1] = -0.3;
}

if(getPitch() < -3){
playerDir[1] = 0.3;
}

if(speed < 0.3){
playerDir[1] = -0.3;
}

setVelX(ent, speed * playerDir[0]);
setVelY(ent, speed * playerDir[1]);
setVelZ(ent, speed * playerDir[2]);

if(speed < 0.1){
setVelY(ent, -0.4);
}
gasFunction(activeVehicleID);
}

if(type == "HOVERCRAFT"){

setVelX(ent, speed * playerDir[0]);
setVelY(ent, speed * playerDir[1]);
setVelZ(ent, speed * playerDir[2]);

gasFunction(activeVehicleID);
}

/*
if(type == "BOAT"){
setVelX(ent, speed * playerDir[0]);
setVelZ(ent, speed * playerDir[2]);

boatblockup = getTile(Entity.getX(ent),Entity.getY(ent) + 1,Entity.getZ(ent));

if(boatblockup != 8){
vehicleON = false;
}
}
*/

if(type == "CAR"){
setVelX(ent, speed * playerDir[0]);
setVelZ(ent, speed * playerDir[2]);

var carblock = getTile(Entity.getX(ent),Entity.getY(ent) + 1,Entity.getZ(ent));

//is facing east?
if( getYaw() > -45 && getYaw() < 45 ){
var carblockfront = getTile(Entity.getX(ent),Entity.getY(ent),Entity.getZ(ent) +2);
var carblockup = getTile(Entity.getX(ent),Entity.getY(ent) +1,Entity.getZ(ent) +2);
}

//is facing west?
if( getYaw() > 135 && getYaw() < 225 || getYaw() > -225 && getYaw() < -135 ){
var carblockfront = getTile(Entity.getX(ent),Entity.getY(ent),Entity.getZ(ent) -2);
var carblockup = getTile(Entity.getX(ent),Entity.getY(ent) +1,Entity.getZ(ent) -2);
}


//is facing south?
if( getYaw() > 45 && getYaw() < 135 || getYaw() > -315 && getYaw() < -225){
var carblockfront = getTile(Entity.getX(ent) -2,Entity.getY(ent),Entity.getZ(ent));
var carblockup = getTile(Entity.getX(ent) -2,Entity.getY(ent) +1,Entity.getZ(ent));
}


//is facing north?
if( getYaw() > 225 && getYaw() < 315 || getYaw() > -135 && getYaw() < -45 ){
var carblockfront = getTile(Entity.getX(ent) +2,Entity.getY(ent),Entity.getZ(ent));
var carblockup = getTile(Entity.getX(ent) +2,Entity.getY(ent) +1,Entity.getZ(ent));
}


if(carblockup == 0 && carblockfront != 0 && carblockfront != 31  && carblockfront != 9) {
setVelY(ent, 0.3);
}

if(carblockup == 9){
vehicleON = false;
}

gasFunction(activeVehicleID);
}


if(type == "BIKE"){
setVelX(ent, speed * playerDir[0]);
setVelZ(ent, speed * playerDir[2]);

var bikeblock = getTile(Entity.getX(ent),Entity.getY(ent) + 1,Entity.getZ(ent));

//is facing east?
if( getYaw() > -45 && getYaw() < 45 ){
var bikeblockfront = getTile(Entity.getX(ent),Entity.getY(ent),Entity.getZ(ent) +2);
var bikeblockup = getTile(Entity.getX(ent),Entity.getY(ent) +1,Entity.getZ(ent) +2);
}

//is facing west?
if( getYaw() > 135 && getYaw() < 225 || getYaw() > -225 && getYaw() < -135 ){
var bikeblockfront = getTile(Entity.getX(ent),Entity.getY(ent),Entity.getZ(ent) -2);
var bikeblockup = getTile(Entity.getX(ent),Entity.getY(ent) +1,Entity.getZ(ent) -2);
}


//is facing south?
if( getYaw() > 45 && getYaw() < 135 || getYaw() > -315 && getYaw() < -225){
var bikeblockfront = getTile(Entity.getX(ent) -2,Entity.getY(ent),Entity.getZ(ent));
var bikeblockup = getTile(Entity.getX(ent) -2,Entity.getY(ent) +1,Entity.getZ(ent));
}


//is facing north?
if( getYaw() > 225 && getYaw() < 315 || getYaw() > -135 && getYaw() < -45 ){
var bikeblockfront = getTile(Entity.getX(ent) +2,Entity.getY(ent),Entity.getZ(ent));
var bikeblockup = getTile(Entity.getX(ent) +2,Entity.getY(ent) +1,Entity.getZ(ent));
}


if(bikeblockup == 0 && bikeblockfront != 0 && bikeblockfront != 31  && bikeblockfront != 9) {
setVelY(ent, 0.3);
}

if(bikeblockup == 9){
vehicleON = false;
}

}


}function  checkForUpdate(){
	try
	{
	    url = new java.net.URL("http://mcpemech.yolasite.com/resources/mods/mod_version");
		connection = url.openConnection();
		inputStream = connection.getInputStream();
		loadedVersion = "";
		bufferedVersionReader = new java.io.BufferedReader(new java.io.InputStreamReader(inputStream));
		rowVersion = "";
		while((rowVersion = bufferedVersionReader.readLine()) != null)
		{
			loadedVersion += rowVersion;
		}
		latestVersion = loadedVersion.split(" ")[0];
		bufferedVersionReader.close();
		inputStream.close();
		
		
		if(latestVersion != MOD_VERSION){
		openUpdateGUI(latestVersion);
		}
		
		
	} catch(err)
	{
		clientMessage("MCPE:MECH - Can't check for updates, please check your Internet connection.");
	}
}


function isPro(){
file = new java.io.File(android.os.Environment.getExternalStorageDirectory().getAbsolutePath() + "/games/com.mojang/MCPE_MECH/DATA");
if(file.exists()){
return true;
}
else{
return false;
}
}

function openUpdateGUI(newVersion,newStuff){
var ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get();

ctx.runOnUiThread(new java.lang.Runnable({

run:function(){

var alert = new android.app.AlertDialog.Builder(ctx); 
alert.setTitle("MCPE:MECH - Update Available"); 

var scroll = new android.widget.ScrollView(ctx); 
var layout = new android.widget.LinearLayout(ctx); 
layout.setOrientation(1);

var note = new android.widget.TextView(ctx); 
note.setText("You can visit my website to get the update or you can automaticly update with the Pro app."); 
note.setTextColor(android.graphics.Color.WHITE);
note.setTextSize(20);

var params =new android.view.ViewGroup.LayoutParams(-2,-2); 

layout.addView(note,params); 

alert.setView(layout); 

if(!isPro()){
alert.setPositiveButton("Get The Pro App.", new android.content.DialogInterface.OnClickListener(){ 
  onClick: function(viewarg){
   openProOnPlayStore();
      }});
}

if(isPro()){
alert.setPositiveButton("Open Pro App.", new android.content.DialogInterface.OnClickListener(){ 
  onClick: function(viewarg){
   openProApp();
      }});
}
	  
alert.setNegativeButton("I'll Update Later", new android.content.DialogInterface.OnClickListener(){ 
   onClick: function(viewarg){
      }});

alert.setNeutralButton("Vistit Website.",new android.content.DialogInterface.OnClickListener(){ 
  onClick: function(viewarg){
   visitWebsite();
      }});

var dialog = alert.create();
dialog.show();

}
}))
}


function openGetProGUI(){
var ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get();

ctx.runOnUiThread(new java.lang.Runnable({

run:function(){

var alert = new android.app.AlertDialog.Builder(ctx); 
alert.setTitle("MCPE:MECH - Get The Pro App."); 

var scroll = new android.widget.ScrollView(ctx); 
var layout = new android.widget.LinearLayout(ctx); 
layout.setOrientation(1);

var note = new android.widget.TextView(ctx); 
note.setText(new android.text.Html.fromHtml("Get The Pro App To Unlock All The Features. <br> ~Auto Install/Updates Mod. <br> ~Unlocks All Items. <br> ~Unlocks All Vehicle Colors. <br> ~Get Over 50 Custom Painted Vehicles. <br> ~Supports Development. <br>")); 
note.setTextColor(android.graphics.Color.WHITE);
note.setTextSize(20);

var params =new android.view.ViewGroup.LayoutParams(-2,-2); 

layout.addView(note,params); 

alert.setView(layout); 

alert.setNegativeButton("Maybe Later.", new android.content.DialogInterface.OnClickListener(){ 
  onClick: function(viewarg){
      }});

alert.setPositiveButton("Get The Pro App.", new android.content.DialogInterface.OnClickListener(){ 
  onClick: function(viewarg){
   openProOnPlayStore();
      }});


var dialog = alert.create();
dialog.show();

}
}))
}


function visitWebsite(){
	ctx.runOnUiThread(new java.lang.Runnable()
	{
		run: function()
		{
			try
			{
				var intentBrowser = new android.content.Intent(ctx);
				intentBrowser.setAction(android.content.Intent.ACTION_VIEW);
				intentBrowser.setData(android.net.Uri.parse("http://mcpemech.yolasite.com/"));
				ctx.startActivity(intentBrowser);
			} catch(err)
			{
			android.widget.Toast.makeText(ctx, "Opps somthing whent wrong please check your internet connection and try again.", 0).show();
			}
		}
	});
}

function openProOnPlayStore(){

	ctx.runOnUiThread(new java.lang.Runnable()
	{
		run: function()
		{
			try
			{
				var openPlayStore = new android.content.Intent(ctx);
				openPlayStore.setAction(android.content.Intent.ACTION_VIEW);
				openPlayStore.setData(android.net.Uri.parse("market://details?id=pro.mcpemech.cubular.com.mcpemechpro"));
				ctx.startActivity(openPlayStore);
			} catch(err)
			{
			android.widget.Toast.makeText(ctx, "Opps somthing whent wrong please check your internet connection and try again.", 0).show();
			}
		}
	});
}

function openProApp(){

	ctx.runOnUiThread(new java.lang.Runnable()
	{
		run: function()
		{
			try
			{
			intent = new android.content.Intent("android.intent.action.MAIN");
            intent.setComponent(android.content.ComponentName.unflattenFromString("pro.mcpemech.cubular.com.mcpemechpro/pro.mcpemech.cubular.com.mcpemechpro.home"));
            intent.addCategory("android.intent.category.LAUNCHER");
            ctx.startActivity(intent);
			} catch(err)
			{
			android.widget.Toast.makeText(ctx, "Opps somthing whent wrong please check if you have the Pro app installed.", 0).show();
			}
		}
	});
}
var mediaPlayer = new android.media.MediaPlayer();

function playSound(sound){

			try {
				mediaPlayer.reset();
				mediaPlayer.setDataSource(android.os.Environment.getExternalStorageDirectory().getAbsolutePath() + sound);
				mediaPlayer.prepare();
				mediaPlayer.start();
			} catch(e) {
				try {
					mediaPlayer.reset();
					mediaPlayer.setDataSource(android.os.Environment.getExternalStorageDirectory().getAbsolutePath() + sound);
					mediaPlayer.prepare();
					mediaPlayer.start();
				} catch(e) {
				clientMessage("It looks like you don't have the sounds installed properly.");
				}
			}

}


function playLoopingSound(sound){

			try {
				mediaPlayer.reset();
				mediaPlayer.setDataSource(android.os.Environment.getExternalStorageDirectory().getAbsolutePath() + sound);
				mediaPlayer.setLooping(true);
				mediaPlayer.prepare();
				mediaPlayer.start();
			} catch(e) {
				try {
					mediaPlayer.reset();
					mediaPlayer.setDataSource(android.os.Environment.getExternalStorageDirectory().getAbsolutePath() + sound);
					mediaPlayer.setLooping(true);
					mediaPlayer.prepare();
					mediaPlayer.start();
				} catch(e) {
				clientMessage("It looks like you don't have the sounds installed properly.");
				}
			}

}

function endSounds(){
mediaPlayer.stop();
}

function fireGun(){

    velY = Math.sin((getPitch() - 180) / 180 * Math.PI); 
    velX = 3.5 * (Math.sin(getYaw() / 180 * Math.PI) * Math.cos((getPitch() - 180) / 180 * Math.PI)); 
    velZ = 3.5 * (-1 * Math.cos(getYaw() / 180 * Math.PI) * Math.cos((getPitch() - 180) / 180 * Math.PI)); 
	
    bullet = Level.spawnMob(Player.getX() + Math.sin(getYaw() / 180 * Math.PI) * Math.cos((getPitch() - 180) / 180 * Math.PI) ,Player.getY()+1,Player.getZ() + -1 * Math.cos(getYaw() / 180 * Math.PI) * Math.cos((getPitch() - 180) / 180 * Math.PI) , 80);
   
    //Entity.setMobSkin(bullet, "bullet.png");
   
    setVelX(bullet,velX*1.2); 
    setVelY(bullet,velY*1.2); 
    setVelZ(bullet,velZ*1.2);
	
}



function shootMissle(){

    velY = Math.sin((getPitch() - 180) / 180 * Math.PI); 
    velX = 3.5 * (Math.sin(getYaw() / 180 * Math.PI) * Math.cos((getPitch() - 180) / 180 * Math.PI)); 
    velZ = 3.5 * (-1 * Math.cos(getYaw() / 180 * Math.PI) * Math.cos((getPitch() - 180) / 180 * Math.PI)); 
	
    bullet = Level.spawnMob(Player.getX() + Math.sin(getYaw() / 180 * Math.PI) * Math.cos((getPitch() - 180) / 180 * Math.PI) ,Player.getY()+1,Player.getZ() + -1 * Math.cos(getYaw() / 180 * Math.PI) * Math.cos((getPitch() - 180) / 180 * Math.PI) ,65);
      
    setVelX(bullet,velX*1.2); 
    setVelY(bullet,velY*1.2); 
    setVelZ(bullet,velZ*1.2);

}


function dropBomb(){
   Level.spawnMob(Player.getX() ,Player.getY()-2,Player.getZ() ,65);
}

   
function saveVehicles(){

total = 0;

   for(i=0; i<vehicleList.length; i++){
   if(vehicleList[i] != null){
      if(vehicleList[i].isSpawned == true){
	   
       ModPE.saveData("vIDS" + i, vehicleList[i].id );
	   ModPE.saveData("mIDS" + i, vehicleList[i].mID);
	   ModPE.saveData("gasS" + i, vehicleList[i].gasAmount);
	   ModPE.saveData("skinS" + i, vehicleList[i].activeSkin);
	   total ++;
     }
   }
  }
  
     ModPE.saveData("total", total);

  }

function loadVehicles(){

total = ModPE.readData("total");


for(i=0; i<total; i++){

try{

 mobID = ModPE.readData("mIDS" + i);
 id = ModPE.readData("vIDS" + i);
 gas = ModPE.readData("gasS" + i);
 skinS = ModPE.readData("skinS" + i);

 
Entity.setMobSkin( Number(mobID) , skinS);
Entity.setRenderType( Number(mobID) ,  vehicleBaseType[id].model.renderType);
Entity.setCollisionSize(mobID,vehicleBaseType[id].hitBox[0],vehicleBaseType[id].hitBox[1]); 


vehicleList[vehicleList.length] = {
id: id, 
mID: mobID, 
type: vehicleBaseType[id].type , 
lock: [true,Entity.getX(mobID),Entity.getY(mobID),Entity.getZ(mobID),Entity.getYaw(mobID)],
activeSkin: skinS, 
health: vehicleBaseType[id].health, 
speed: vehicleBaseType[id].speed ,
model: vehicleBaseType[id].model,
gasAmount: gas,
startFunction: vehicleBaseType[id].startFunction,
tickFunction: vehicleBaseType[id].tickFunction,
endFunction: vehicleBaseType[id].endFunction,
isSpawned: true
};

}
catch(error){}
}

}
function posLockTick(){
try{
for(i=0;i<vehicleList.length;i++){
if(vehicleList[i].lock[0] == true){
mobID = vehicleList[i].mID;
Entity.setPosition(mobID,vehicleList[i].lock[1],Entity.getY(mobID),vehicleList[i].lock[3]);
setVelX(mobID, 0);
setVelZ(mobID, 0);
Entity.setRot(mobID,0,45);

}
}
}
catch(error){

}
}
function loadItems(){

clientMessage("§4MCPE:MECH - v" + MOD_VERSION);

try{

//Keys
ModPE.setItem(1000 , "key" , 0 , "Keys" );
Item.setCategory(1000,3);
Player.addItemCreativeInv(1000, 1);
Item.addShapedRecipe(1000, 1 , 0 , ["   "," i ","   "] , [ "i" , 265  , 0 ] );


//Fuel Can
ModPE.setItem(1001, "FuelCan" , 0 , "Fuel Can");
Item.setCategory(1001,3);
Player.addItemCreativeInv(1001, 1);
Item.addShapedRecipe(1001, 1 , 0 , ["  i"," cc"," cc"] , [ "i" , 265  , 0 , "c" , 263 , 0 ] );


//Engine
ModPE.setItem(1002 , "RotaryEngine" , 0 , "Engine");
Item.setCategory(1002,3);
Player.addItemCreativeInv(1002, 1);
Item.addShapedRecipe(1002, 1 , 0 , ["fif","iii","fif"] , [ "i" , 265  , 0 , "f" , 259 , 0 ] );


//large Wheel
ModPE.setItem( 1003 , "LargeWheel" , 0 , "Large Wheel");
Item.setCategory(1003,3);
Player.addItemCreativeInv(1003, 1);
Item.addShapedRecipe( 1003, 1 , 0 , [" l ","lil"," l "] , [ "i" , 265  , 0 , "l" , 334 , 0 ]  );


//Vehicle Chassis
ModPE.setItem( 1004 , "SmallCarChassis" , 0 , "Vehicle Chassis");
Item.setCategory(1004,3);
Player.addItemCreativeInv(1004, 1);
Item.addShapedRecipe( 1004, 1 , 0 , ["  g","ili","iii"] , [ "i" , 265  , 0 , "g" , 102 , 0 ,"l" , 334 , 0]  );


//Wooden Tail
ModPE.setItem( 1005 , "WoodenTail" , 0 , "Wooden Tail");
Item.setCategory(1005,3);
Player.addItemCreativeInv(1005, 1);
Item.addShapedRecipe( 1005, 1 , 0 , ["  p","ppp","  w"] , [ "w" , 1003  , 0 , "p" , 5 , 0 ] );


//Wooden Cockpit
ModPE.setItem( 1006 , "WoodenCockpit" , 0 , "Wooden Cockpit" );
Item.setCategory(1006,3);
Player.addItemCreativeInv(1006, 1);
Item.addShapedRecipe( 1006, 1 , 0 , ["   "," b ","w w"] , ["w" ,1003 , 0, "b" , 333  , 0] );


//Wooden Wing
ModPE.setItem( 1007 , "WoodenWing" , 0 , "Wooden Wing");
Item.setCategory(1007,3);
Player.addItemCreativeInv(1007, 1);
Item.addShapedRecipe( 1007, 1 , 0 , ["ppp","s s","ppp"] , [ "p" , 5  , 0 , "s" , 280 , 0 ]  );


//Metal Cockpit
ModPE.setItem( 1008 , "MetalCockpit" , 0 , "Metal Cockpit");
Item.setCategory(1008,3);
Player.addItemCreativeInv(1008, 1);
Item.addShapedRecipe(1008, 1 , 0 , [" g "," m ","w w"] , [ "m", 328, 0, "w" , 1003, 0, "g" , 102 , 0] );


//Metal Tail
ModPE.setItem(1009 , "MetalTail" , 0 , "Metal Tail" );
Item.setCategory(1009,3);
Player.addItemCreativeInv(1009, 1);
Item.addShapedRecipe(1009, 1 , 0 , ["  i","iii","  w"] , ["w" , 1003 , 0, "i" , 265 , 0]  );


//Metal Wing
ModPE.setItem(1010 , "MetalWingSmall" , 0 , "Metal Wing");
Item.setCategory(1010,3);
Player.addItemCreativeInv(1010, 1);
Item.addShapedRecipe(1010, 1 , 0 , ["iii","bbb","iii"] , [ "b", 101, 0, "i" , 265 , 0] );


//Cat Tracks
ModPE.setItem(1011 , "CatTrack" , 0 , "Cat Tracks");
Item.setCategory(1011,3);
Player.addItemCreativeInv(1011, 1);
Item.addShapedRecipe(1011, 1 , 0 , ["iii","wiw","iii"] , ["w", 1003, 0, "i" , 265 , 0] );


//Tank Body
ModPE.setItem(1012 , "TankBody" , 0 , "Tank Body");
Item.setCategory(1012,3);
Player.addItemCreativeInv(1012, 1);
Item.addShapedRecipe(1012, 1 , 0 , ["iti","iri","iii"] , ["r" , 331, 0, "t", 96 , 0, "i" , 265 , 0] );


//Tank Barrel
ModPE.setItem(1013 , "TankBarrel" , 0 , "Tank Barrel");
Item.setCategory(1013,3);
Player.addItemCreativeInv(1013, 1);
Item.addShapedRecipe(1013, 1 , 0 , ["  i","iii","  i"] , [ "i" , 265 , 0] );


//Tank Turret
ModPE.setItem(1014 , "TankTurret" , 0 , "Tank Turret");
Item.setCategory(1014,3);
Player.addItemCreativeInv(1014, 1);
Item.addShapedRecipe(1014, 1 , 0 , ["   ","bii"," ii"] , [ "b", 1013, 0, "i" , 265 , 0] );


//Wooden Prop
ModPE.setItem(1015 , "WoodenPropeller" , 0 , "Wooden Propeller");
Item.setCategory(1015,3);
Player.addItemCreativeInv(1015, 1);
Item.addShapedRecipe(1015, 1 , 0 , [" s "," i ","s s"] , [ "s", 280, 0, "i" , 265 , 0] );


//Metal Prop
ModPE.setItem(1016 , "MetalPropeller" , 0 , "Metal Propeller");
Item.setCategory(1016,3);
Player.addItemCreativeInv(1016, 1);
Item.addShapedRecipe(1016, 1 , 0 , [" i "," i ","i i"] , [ "i" , 265 , 0] );


//Bomb Bay
ModPE.setItem(1017 , "BombBay" , 0 , "Bomb Bay");
Item.setCategory(1017,3);
Player.addItemCreativeInv(1017, 1);
Item.addShapedRecipe(1017, 1 , 0 , ["iii","i i","iti"] , [ "t", 96 , 0, "i" , 265 , 0] );



for(i=0; i<vehicleBaseType.length; i++){
  if(vehicleBaseType[i] != null){
    vehicleBaseType[i].loadItems();
  }
}

ModPE.setItem(900 , "paintBlack" , 0 , "Black Spray Paint");
Item.setCategory(900,3);
Player.addItemCreativeInv(900, 1);
Item.addShapedRecipe(900, 1 , 0 , [" d "," i "," i "] , [ "d", 351 , 0, "i" , 265 , 0] );

ModPE.setItem(901 , "paintRed" , 0 , "Red Spray Paint");
Item.setCategory(901,3);
Player.addItemCreativeInv(901, 1);
Item.addShapedRecipe(901, 1 , 0 , [" d "," i "," i "] , [ "d", 351 , 1, "i" , 265 , 0] );

ModPE.setItem(902 , "paintGreen" , 0 , "Green Spray Paint");
Item.setCategory(902,3);
Player.addItemCreativeInv(902, 1);
Item.addShapedRecipe(902, 1 , 0 , [" d "," i "," i "] , [ "d", 351 , 2, "i" , 265 , 0] );

ModPE.setItem(903 , "paintBrown" , 0 , "Brown Spray Paint");
Item.setCategory(903,3);
Player.addItemCreativeInv(903, 1);
Item.addShapedRecipe(903, 1 , 0 , [" d "," i "," i "] , [ "d", 351 , 3, "i" , 265 , 0] );

ModPE.setItem(904 , "paintBlue" , 0 , "Blue Spray Paint");
Item.setCategory(904,3);
Player.addItemCreativeInv(904, 1);
Item.addShapedRecipe(904, 1 , 0 , [" d "," i "," i "] , [ "d", 351 , 4, "i" , 265 , 0] );

ModPE.setItem(905 , "paintPurple" , 0 , "Purple Spray Paint");
Item.setCategory(905,3);
Player.addItemCreativeInv(905, 1);
Item.addShapedRecipe(905, 1 , 0 , [" d "," i "," i "] , [ "d", 351 , 5, "i" , 265 , 0] );

ModPE.setItem(906 , "paintCyan" , 0 , "Cyan Spray Paint");
Item.setCategory(906,3);
Player.addItemCreativeInv(906, 1);
Item.addShapedRecipe(906, 1 , 0 , [" d "," i "," i "] , [ "d", 351 , 6, "i" , 265 , 0] );

ModPE.setItem(907 , "paintGrey" , 0 , "Grey Spray Paint");
Item.setCategory(907,3);
Player.addItemCreativeInv(907, 1);
Item.addShapedRecipe(907, 1 , 0 , [" d "," i "," i "] , [ "d", 351 , 7, "i" , 265 , 0] );

ModPE.setItem(908 , "paintPink" , 0 , "Pink Spray Paint");
Item.setCategory(908,3);
Player.addItemCreativeInv(908, 1);
Item.addShapedRecipe(908, 1 , 0 , [" d "," i "," i "] , [ "d", 351 , 9, "i" , 265 , 0] );

ModPE.setItem(909 , "paintLime" , 0 , "Lime Spray Paint");
Item.setCategory(909,3);
Player.addItemCreativeInv(909, 1);
Item.addShapedRecipe(909, 1 , 0 , [" d "," i "," i "] , [ "d", 351 , 10, "i" , 265 , 0] );

ModPE.setItem(910 , "paintYellow" , 0 , "Yellow Spray Paint");
Item.setCategory(910,3);
Player.addItemCreativeInv(910, 1);
Item.addShapedRecipe(910, 1 , 0 , [" d "," i "," i "] , [ "d", 351 , 11, "i" , 265 , 0] );

ModPE.setItem(911 , "paintLightBlue" , 0 , "Light Blue Spray Paint");
Item.setCategory(911,3);
Player.addItemCreativeInv(911, 1);
Item.addShapedRecipe(911, 1 , 0 , [" d "," i "," i "] , [ "d", 351 , 12, "i" , 265 , 0] );

ModPE.setItem(912 , "paintMagenta" , 0 , "Magenta Spray Paint");
Item.setCategory(912,3);
Player.addItemCreativeInv(912, 1);
Item.addShapedRecipe(912, 1 , 0 , [" d "," i "," i "] , [ "d", 351 , 13, "i" , 265 , 0] );

ModPE.setItem(913 , "paintOrange" , 0 , "Orange Spray Paint");
Item.setCategory(913,3);
Player.addItemCreativeInv(913, 1);
Item.addShapedRecipe(913, 1 , 0 , [" d "," i "," i "] , [ "d", 351 , 14, "i" , 265 , 0] );

ModPE.setItem(914 , "paintWhite" , 0 , "White Spray Paint");
Item.setCategory(914,3);
Player.addItemCreativeInv(914, 1);
Item.addShapedRecipe(914, 1 , 0 , [" d "," i "," i "] , [ "d", 351 , 15, "i" , 265 , 0] );

}
catch(error){
clientMessage("It looks like you don't have the latest version of the MCPE:MECH texture pack please install it and try again.");
}

}
function actionCheck(mob,id,type){

if(getCarriedItem() == 1000 ){
preventDefault();
Entity.rideAnimal(getPlayerEnt(), mob);
activeVehicle = mob;
activeVehicleID = id;
activeVehicleSpeed = vehicleList[id].speed;
activeVehicleType = vehicleList[id].type;
vehicleList[id].lock[0] = false;
vehicleON = true;
vehicleList[id].startFunction();
}

else if(getCarriedItem() == 1001){
preventDefault();
if(vehicleList[id].type != "BIKE"){
vehicleList[id].gasAmount = 5000;
clientMessage(ChatColor.BLUE+"Fuel Level: [|||||||||||]");
}
}

// Paint Can Check
else if(getCarriedItem() >= 900 && getCarriedItem() <= 914){
  if(isPro()){
    try{
	  preventDefault();
	  if(vehicleBaseType[type].skin[getCarriedItem() - 899] != null){
         Entity.setMobSkin(mob,vehicleBaseType[type].skin[getCarriedItem() - 899]);
	 	 vehicleList[id].activeSkin = vehicleBaseType[type].skin[getCarriedItem() - 899]
      }
	  else{
	  preventDefault();
	  clientMessage("Sorry it looks like this vehicle cannot be painted.");
	  }
    }
    catch(error){
	preventDefault();
    clientMessage("Sorry it looks like this vehicle cannot be painted.");
    } 
  }
  else{
  preventDefault();
  openGetProGUI();
  }
}



else{
Level.dropItem(Entity.getX(mob) , Entity.getY(mob) , Entity.getZ(mob) , 0 , vehicleList[id].id , 1 , 0);
Entity.remove(mob);
vehicleList[id].isSpawned = false;
}

}